import { g as getDefaultExportFromCjs, c as commonjsGlobal } from "./js-clientjs.js";
import { p as performanceNowExports } from "./js-performance-now.js";
var raf$1 = {
  exports: {}
};
var now = performanceNowExports,
  root = typeof window === `\u0075\u006e\u0064\u0065\u0066\u0069\u006e\u0065\u0064` ? commonjsGlobal : window,
  vendors = [`\u006d\u006f\u007a`, `\u0077\u0065\u0062\u006b\u0069\u0074`],
  suffix = `\u0041\u006e\u0069\u006d\u0061\u0074\u0069\u006f\u006e\u0046\u0072\u0061\u006d\u0065`,
  raf = root[`\u0072\u0065\u0071\u0075\u0065\u0073\u0074` + suffix],
  caf = root[`\u0063\u0061\u006e\u0063\u0065\u006c` + suffix] || root[`\u0063\u0061\u006e\u0063\u0065\u006c\u0052\u0065\u0071\u0075\u0065\u0073\u0074` + suffix];
for (var i = 0; !raf && i < vendors.length; i++) {
  raf = root[vendors[i] + `\u0052\u0065\u0071\u0075\u0065\u0073\u0074` + suffix];
  caf = root[vendors[i] + `\u0043\u0061\u006e\u0063\u0065\u006c` + suffix] || root[vendors[i] + `\u0043\u0061\u006e\u0063\u0065\u006c\u0052\u0065\u0071\u0075\u0065\u0073\u0074` + suffix];
}
if (!raf || !caf) {
  var last = 0,
    id = 0,
    queue = [],
    frameDuration = 1e3 / 60;
  raf = function (callback) {
    if (queue.length === 0) {
      var _now = now(),
        next = Math.max(0, frameDuration - (_now - last));
      last = next + _now;
      setTimeout(function () {
        var cp = queue.slice(0);
        queue.length = 0;
        for (var i = 0; i < cp.length; i++) {
          if (!cp[i].cancelled) {
            try {
              cp[i].callback(last);
            } catch (e) {
              setTimeout(function () {
                throw e;
              }, 0);
            }
          }
        }
      }, Math.round(next));
    }
    queue.push({
      handle: ++id,
      callback,
      cancelled: false
    });
    return id;
  };
  caf = function (handle) {
    for (var i = 0; i < queue.length; i++) {
      if (queue[i].handle === handle) {
        queue[i].cancelled = true;
      }
    }
  };
}
raf$1.exports = function (fn) {
  return raf.call(root, fn);
};
raf$1.exports.cancel = function () {
  caf.apply(root, arguments);
};
raf$1.exports.polyfill = function (object) {
  if (!object) {
    object = root;
  }
  object.requestAnimationFrame = raf;
  object.cancelAnimationFrame = caf;
};
var rafExports = raf$1.exports;
const requestAnimationFrame = /* @__PURE__ */getDefaultExportFromCjs(rafExports);
export { requestAnimationFrame as r };