var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, {
  enumerable: true,
  configurable: true,
  writable: true,
  value
}) : obj[key] = value;
var __publicField = (obj, key, value) => __defNormalProp(obj, typeof key !== `\u0073\u0079\u006d\u0062\u006f\u006c` ? key + `` : key, value);
import { _ as _export_sfc } from "./js-_plugin-vue_export-helper.js";
import { d as defineComponent, r as ref, j as inject, c as createElementBlock, o as openBlock, a as createBaseVNode, O as toDisplayString, u as unref, F as createCommentVNode, P as normalizeStyle, L as createVNode, I as createBlock, ak as createApp } from "./js-@vue.js";
import { g as getLocalizedMessage, s as setLocale } from "./js-i18n.js";
import { c as createPinia, d as defineStore, s as setActivePinia } from "./js-pinia.js";
import { i as indexPage } from "./js-indexConfig.js";
import { E as ElMessageBox } from "./js-element-plus.js";
import "./js-dayjs.js";
import "./js-clientjs.js";
import "./js-lodash-es.js";
import "./js-@vueuse.js";
import "./js-async-validator.js";
import "./js-@element-plus.js";
import "./js-@popperjs.js";
import "./js-normalize-wheel-es.js";
import "./js-memoize-one.js";
import "./js-@ctrl.js";
const _sfc_main$4 = {};
function _sfc_render(_ctx, _cache) {
  return null;
}
const XiaoHongShu_small_icon = /* @__PURE__ */_export_sfc(_sfc_main$4, [[`\u0072\u0065\u006e\u0064\u0065\u0072`, _sfc_render]]);
const pinia = createPinia();
function sendLog(...messages) {
  const combinedMessage = messages.map(String).join(`\u0020`);
  {
    chrome.runtime.sendMessage({
      action: `\u006c\u006f\u0067\u0073`,
      message: combinedMessage
    }).then(() => {}).catch(err => {
      console.error(err);
    });
  }
}
const useCounterStore = defineStore(`\u0063\u006f\u0075\u006e\u0074\u0065\u0072`, {
  state: () => ({
    //当前页面
    activatePage: indexPage,
    //配置
    XiaoHongShu_Setting: `\u007b\u007d`,
    //评论数量
    viewCount: 0,
    CommentCount: 0,
    likeCount: 0,
    followCount: 0,
    collectCount: 0,
    //评论数量
    xhs_viewCount: 0,
    xhs_CommentCount: 0,
    xhs_likeCount: 0,
    xhs_followCount: 0,
    xhs_collectCount: 0,
    //评论数量
    dy_viewCount: 0,
    dy_CommentCount: 0,
    dy_likeCount: 0,
    dy_followCount: 0,
    dy_collectCount: 0,
    //工作状态
    // run：工作中
    // end: 已结束（到达底部）
    XiaoHongShu_workStatus: `\u0072\u0075\u006e`,
    loadend: false,
    loadFromStorage_load: false,
    isDebugMode: false,
    operationTime: 0,
    xiaoHongShuAccountErrorTip: ``,
    //客户端id
    clientVisitorId: ``,
    executeOperationStartTime: ``,
    chromeTabId: 0,
    taskPlatform: ``,
    xhs_minute: [],
    dy_minute: [],
    refreshFrequencyNum: 60 * 60 * 1e3,
    stopButtonText: ``,
    formattedTime: ``
  }),
  actions: {
    setActivatePage(page) {
      this.activatePage = page;
      sendLog(`\u0063\u006f\u006e\u0074\u0065\u006e\u0074\u0050\u0061\u0067\u0065\u0020\u0061\u0063\u0074\u0069\u0076\u0061\u0074\u0065\u0050\u0061\u0067\u0065\uff1a`, page);
      chrome.storage.local.set({
        "activatePage": this.activatePage
      });
    },
    setCopy() {
      chrome.storage.local.set({
        "copy": `` + (/* @__PURE__ */new Date()).getTime()
      });
    },
    setChromeTabId(chromeTabId) {
      this.chromeTabId = chromeTabId;
    },
    getChromeTabId() {
      return this.chromeTabId;
    },
    setTaskPlatform(taskPlatform) {
      this.taskPlatform = taskPlatform;
    },
    addXHSCommentMinuteCount(xhs_minute) {
      this.xhs_minute.push(xhs_minute);
      chrome.storage.local.set({
        "xhs_minute": JSON.stringify(this.xhs_minute)
      });
    },
    addDyCommentMinuteCount(dy_minute) {
      this.dy_minute.push(dy_minute);
      chrome.storage.local.set({
        "dy_minute": JSON.stringify(this.dy_minute)
      });
    },
    setStopButtonText(stopButtonText) {
      this.stopButtonText = stopButtonText;
      chrome.storage.local.set({
        "stopButtonText": stopButtonText
      });
    },
    setFormattedTime(formattedTime) {
      this.formattedTime = formattedTime;
      chrome.storage.local.set({
        "formattedTime": formattedTime
      });
    },
    checkLoadend() {
      let maxNum = 60,
        timeout = 30;
      let num = 0;
      return new Promise(resolve => {
        const checkInterval = setInterval(() => {
          const loadend = this.loadend;
          if (loadend || num > maxNum) {
            if (num > maxNum) {
              console.error(`\u0063\u0068\u0065\u0063\u006b\u004c\u006f\u0061\u0064\u0065\u006e\u0064\u0020\u52a0\u8f7d\u8d85\u65f6`);
            }
            clearInterval(checkInterval);
            resolve();
          }
          num++;
        }, timeout);
      });
    },
    loadFromStorage() {
      if (this.loadFromStorage_load) {
        return;
      }
      this.loadFromStorage_load = true;
      chrome.storage.local.get([`\u0061\u0063\u0074\u0069\u0076\u0061\u0074\u0065\u0050\u0061\u0067\u0065`, `\u006f\u0070\u0065\u0072\u0061\u0074\u0069\u006f\u006e\u0054\u0069\u006d\u0065`, `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0053\u0065\u0074\u0074\u0069\u006e\u0067`, `\u0078\u0068\u0073\u005f\u0076\u0069\u0065\u0077\u0043\u006f\u0075\u006e\u0074`, `\u0078\u0068\u0073\u005f\u0043\u006f\u006d\u006d\u0065\u006e\u0074\u0043\u006f\u0075\u006e\u0074`, `\u0078\u0068\u0073\u005f\u006c\u0069\u006b\u0065\u0043\u006f\u0075\u006e\u0074`, `\u0078\u0068\u0073\u005f\u0066\u006f\u006c\u006c\u006f\u0077\u0043\u006f\u0075\u006e\u0074`, `\u0078\u0068\u0073\u005f\u0063\u006f\u006c\u006c\u0065\u0063\u0074\u0043\u006f\u0075\u006e\u0074`, `\u0064\u0079\u005f\u0076\u0069\u0065\u0077\u0043\u006f\u0075\u006e\u0074`, `\u0064\u0079\u005f\u0043\u006f\u006d\u006d\u0065\u006e\u0074\u0043\u006f\u0075\u006e\u0074`, `\u0064\u0079\u005f\u006c\u0069\u006b\u0065\u0043\u006f\u0075\u006e\u0074`, `\u0064\u0079\u005f\u0066\u006f\u006c\u006c\u006f\u0077\u0043\u006f\u0075\u006e\u0074`, `\u0064\u0079\u005f\u0063\u006f\u006c\u006c\u0065\u0063\u0074\u0043\u006f\u0075\u006e\u0074`, `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0077\u006f\u0072\u006b\u0053\u0074\u0061\u0074\u0075\u0073`, `\u0078\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u0041\u0063\u0063\u006f\u0075\u006e\u0074\u0045\u0072\u0072\u006f\u0072\u0054\u0069\u0070`, `\u0063\u006c\u0069\u0065\u006e\u0074\u0056\u0069\u0073\u0069\u0074\u006f\u0072\u0049\u0064`, `\u0065\u0078\u0065\u0063\u0075\u0074\u0065\u004f\u0070\u0065\u0072\u0061\u0074\u0069\u006f\u006e\u0053\u0074\u0061\u0072\u0074\u0054\u0069\u006d\u0065`, `\u0072\u0065\u0066\u0072\u0065\u0073\u0068\u0046\u0072\u0065\u0071\u0075\u0065\u006e\u0063\u0079\u004e\u0075\u006d`], result => {
        console.log(`\u0072\u0065\u0073\u0075\u006c\u0074\u0020\u0061\u0063\u0074\u0069\u0076\u0061\u0074\u0065\u0050\u0061\u0067\u0065`, result);
        if (result.activatePage !== void 0) {
          this.activatePage = result.activatePage;
        }
        if (result.operationTime !== void 0) {
          this.operationTime = result.operationTime;
        }
        if (result.XiaoHongShu_Setting !== void 0) {
          this.XiaoHongShu_Setting = result.XiaoHongShu_Setting;
        }
        if (result.xhs_viewCount !== void 0) {
          this.xhs_viewCount = result.xhs_viewCount;
        }
        if (result.xhs_CommentCount !== void 0) {
          this.xhs_CommentCount = result.xhs_CommentCount;
        }
        if (result.xhs_likeCount !== void 0) {
          this.xhs_likeCount = result.xhs_likeCount;
        }
        if (result.xhs_followCount !== void 0) {
          this.xhs_followCount = result.xhs_followCount;
        }
        if (result.xhs_collectCount !== void 0) {
          this.xhs_collectCount = result.xhs_collectCount;
        }
        if (result.dy_viewCount !== void 0) {
          this.dy_viewCount = result.dy_viewCount;
        }
        if (result.dy_CommentCount !== void 0) {
          this.dy_CommentCount = result.dy_CommentCount;
        }
        if (result.dy_likeCount !== void 0) {
          this.dy_likeCount = result.dy_likeCount;
        }
        if (result.dy_followCount !== void 0) {
          this.dy_followCount = result.dy_followCount;
        }
        if (result.dy_collectCount !== void 0) {
          this.dy_collectCount = result.dy_collectCount;
        }
        if (result.XiaoHongShu_workStatus !== void 0) {
          this.XiaoHongShu_workStatus = result.XiaoHongShu_workStatus;
        }
        if (result.xiaoHongShuAccountErrorTip !== void 0) {
          this.xiaoHongShuAccountErrorTip = result.xiaoHongShuAccountErrorTip;
        }
        if (result.clientVisitorId !== void 0) {
          this.clientVisitorId = result.clientVisitorId;
        }
        if (result.executeOperationStartTime !== void 0) {
          this.executeOperationStartTime = result.executeOperationStartTime;
        }
        if (result.refreshFrequencyNum !== void 0) {
          this.refreshFrequencyNum = result.refreshFrequencyNum;
        }
        this.loadend = true;
      });
      chrome.storage.onChanged.addListener((changes, namespace) => {
        for (let [key, {
          oldValue,
          newValue
        }] of Object.entries(changes)) {
          console.log(`\u0053\u0074\u006f\u0072\u0061\u0067\u0065\u0020\u006b\u0065\u0079\u0020\u0022${key}\u0022\u0020\u0069\u006e\u0020\u006e\u0061\u006d\u0065\u0073\u0070\u0061\u0063\u0065\u0020\u0022${namespace}\u0022\u0020\u0063\u0068\u0061\u006e\u0067\u0065\u0064\u002e`, `\u004f\u006c\u0064\u0020\u0076\u0061\u006c\u0075\u0065\u0020\u0077\u0061\u0073\u0020\u0022${oldValue}\u0022\u002c\u0020\u006e\u0065\u0077\u0020\u0076\u0061\u006c\u0075\u0065\u0020\u0069\u0073\u0020\u0022${newValue}\u0022\u002e`);
          switch (key) {
            case `\u0078\u0068\u0073\u005f\u006c\u0069\u006b\u0065\u0043\u006f\u0075\u006e\u0074`:
              this.xhs_likeCount = newValue;
              break;
            case `\u0078\u0068\u0073\u005f\u0066\u006f\u006c\u006c\u006f\u0077\u0043\u006f\u0075\u006e\u0074`:
              this.xhs_followCount = newValue;
              break;
            case `\u0078\u0068\u0073\u005f\u0043\u006f\u006d\u006d\u0065\u006e\u0074\u0043\u006f\u0075\u006e\u0074`:
              this.xhs_CommentCount = newValue;
              break;
            case `\u0078\u0068\u0073\u005f\u0063\u006f\u006c\u006c\u0065\u0063\u0074\u0043\u006f\u0075\u006e\u0074`:
              this.xhs_collectCount = newValue;
              break;
            case `\u0078\u0068\u0073\u005f\u0076\u0069\u0065\u0077\u0043\u006f\u0075\u006e\u0074`:
              this.xhs_viewCount = newValue;
              break;
            case `\u0064\u0079\u005f\u006c\u0069\u006b\u0065\u0043\u006f\u0075\u006e\u0074`:
              this.dy_likeCount = newValue;
              break;
            case `\u0064\u0079\u005f\u0066\u006f\u006c\u006c\u006f\u0077\u0043\u006f\u0075\u006e\u0074`:
              this.dy_followCount = newValue;
              break;
            case `\u0064\u0079\u005f\u0043\u006f\u006d\u006d\u0065\u006e\u0074\u0043\u006f\u0075\u006e\u0074`:
              this.dy_CommentCount = newValue;
              break;
            case `\u0064\u0079\u005f\u0063\u006f\u006c\u006c\u0065\u0063\u0074\u0043\u006f\u0075\u006e\u0074`:
              this.dy_collectCount = newValue;
              break;
            case `\u0064\u0079\u005f\u0076\u0069\u0065\u0077\u0043\u006f\u0075\u006e\u0074`:
              this.dy_viewCount = newValue;
              break;
            case `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0077\u006f\u0072\u006b\u0053\u0074\u0061\u0074\u0075\u0073`:
              this.XiaoHongShu_workStatus = newValue;
              break;
            case `\u0063\u006c\u0069\u0065\u006e\u0074\u0056\u0069\u0073\u0069\u0074\u006f\u0072\u0049\u0064`:
              this.clientVisitorId = newValue;
              break;
            case `\u0065\u0078\u0065\u0063\u0075\u0074\u0065\u004f\u0070\u0065\u0072\u0061\u0074\u0069\u006f\u006e\u0053\u0074\u0061\u0072\u0074\u0054\u0069\u006d\u0065`:
              this.executeOperationStartTime = newValue;
              break;
            case `\u0072\u0065\u0066\u0072\u0065\u0073\u0068\u0046\u0072\u0065\u0071\u0075\u0065\u006e\u0063\u0079\u004e\u0075\u006d`:
              this.refreshFrequencyNum = newValue;
              break;
          }
        }
      });
    }
  }
});
const useCounterCommentStore = defineStore(`\u0063\u006f\u006d\u006d\u0065\u006e\u0074\u005f\u0063\u006f\u0075\u006e\u0074\u0065\u0072`, {
  state: () => ({
    //当前页面
    activatePage: indexPage,
    //配置
    XiaoHongShu_Setting: `\u007b\u007d`,
    //自动回复评论数量
    XiaoHongShu_CommentCount: 0,
    //赞和收藏的
    // 取关数量
    XiaoHongShu_likes_unfollow: 0,
    // 关注数量
    XiaoHongShu_likes_follow: 0,
    //新增关注
    // 取关数量
    XiaoHongShu_connections_unfollow: 0,
    // 回关数量
    XiaoHongShu_connections_follow: 0,
    loadend: false,
    loadFromStorage_load: false
  }),
  actions: {
    increment_XiaoHongShu_CommentCount() {
      this.XiaoHongShu_CommentCount++;
    },
    setActivatePage(page) {
      this.activatePage = page;
      sendLog(`\u0063\u006f\u006e\u0074\u0065\u006e\u0074\u0050\u0061\u0067\u0065\u0020\u0061\u0063\u0074\u0069\u0076\u0061\u0074\u0065\u0050\u0061\u0067\u0065\u0032\uff1a`, page);
      chrome.storage.local.set({
        "activatePage": this.activatePage
      });
    },
    setXiaoHongShu_Setting(setting) {
      this.XiaoHongShu_Setting = setting;
      chrome.storage.local.set({
        "XiaoHongShu_Setting": this.XiaoHongShu_Setting
      });
    },
    checkLoadend() {
      let maxNum = 60,
        timeout = 30;
      let num = 0;
      return new Promise(resolve => {
        const checkInterval = setInterval(() => {
          const loadend = this.loadend;
          if (loadend || num > maxNum) {
            if (num > maxNum) {
              console.error(`\u0063\u0068\u0065\u0063\u006b\u004c\u006f\u0061\u0064\u0065\u006e\u0064\u0020\u52a0\u8f7d\u8d85\u65f6`);
            }
            clearInterval(checkInterval);
            resolve();
          }
          num++;
        }, timeout);
      });
    },
    loadFromStorage() {
      if (this.loadFromStorage_load) {
        console.log(`\u006c\u006f\u0061\u0064\u0046\u0072\u006f\u006d\u0053\u0074\u006f\u0072\u0061\u0067\u0065`);
        return;
      }
      this.loadFromStorage_load = true;
      chrome.storage.local.get([`\u0061\u0063\u0074\u0069\u0076\u0061\u0074\u0065\u0050\u0061\u0067\u0065`, `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0053\u0065\u0074\u0074\u0069\u006e\u0067`, `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0043\u006f\u006d\u006d\u0065\u006e\u0074\u0043\u006f\u0075\u006e\u0074`, `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u006c\u0069\u006b\u0065\u0073\u005f\u0075\u006e\u0066\u006f\u006c\u006c\u006f\u0077`, `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u006c\u0069\u006b\u0065\u0073\u005f\u0066\u006f\u006c\u006c\u006f\u0077`, `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0063\u006f\u006e\u006e\u0065\u0063\u0074\u0069\u006f\u006e\u0073\u005f\u0075\u006e\u0066\u006f\u006c\u006c\u006f\u0077`, `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0063\u006f\u006e\u006e\u0065\u0063\u0074\u0069\u006f\u006e\u0073\u005f\u0066\u006f\u006c\u006c\u006f\u0077`], result => {
        console.log(`\u0072\u0065\u0073\u0075\u006c\u0074\u0020\u0061\u0063\u0074\u0069\u0076\u0061\u0074\u0065\u0050\u0061\u0067\u0065`, result);
        if (result.activatePage !== void 0) {
          this.activatePage = result.activatePage;
        }
        if (result.XiaoHongShu_Setting !== void 0) {
          this.XiaoHongShu_Setting = result.XiaoHongShu_Setting;
        }
        if (result.XiaoHongShu_CommentCount !== void 0) {
          this.XiaoHongShu_CommentCount = result.XiaoHongShu_CommentCount;
        }
        if (result.XiaoHongShu_likes_unfollow !== void 0) {
          this.XiaoHongShu_likes_unfollow = result.XiaoHongShu_likes_unfollow;
        }
        if (result.XiaoHongShu_likes_follow !== void 0) {
          this.XiaoHongShu_likes_follow = result.XiaoHongShu_likes_follow;
        }
        if (result.XiaoHongShu_connections_unfollow !== void 0) {
          this.XiaoHongShu_connections_unfollow = result.XiaoHongShu_connections_unfollow;
        }
        if (result.XiaoHongShu_connections_follow !== void 0) {
          this.XiaoHongShu_connections_follow = result.XiaoHongShu_connections_follow;
        }
        this.loadend = true;
      });
      chrome.storage.onChanged.addListener((changes, namespace) => {
        for (let [key, {
          oldValue,
          newValue
        }] of Object.entries(changes)) {
          console.log(`\u0063\u006f\u006e\u0074\u0065\u006e\u0074\u0050\u0061\u0067\u0065\u0020\u0053\u0074\u006f\u0072\u0061\u0067\u0065\u0020\u006b\u0065\u0079\u0020\u0022${key}\u0022\u0020\u0069\u006e\u0020\u006e\u0061\u006d\u0065\u0073\u0070\u0061\u0063\u0065\u0020\u0022${namespace}\u0022\u0020\u0063\u0068\u0061\u006e\u0067\u0065\u0064\u002e`, `\u004f\u006c\u0064\u0020\u0076\u0061\u006c\u0075\u0065\u0020\u0077\u0061\u0073\u0020\u0022${oldValue}\u0022\u002c\u0020\u006e\u0065\u0077\u0020\u0076\u0061\u006c\u0075\u0065\u0020\u0069\u0073\u0020\u0022${newValue}\u0022\u002e`);
          switch (key) {
            case `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u006c\u0069\u006b\u0065\u0073\u005f\u0075\u006e\u0066\u006f\u006c\u006c\u006f\u0077`:
              this.XiaoHongShu_likes_unfollow = newValue;
              break;
            case `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u006c\u0069\u006b\u0065\u0073\u005f\u0066\u006f\u006c\u006c\u006f\u0077`:
              this.XiaoHongShu_likes_follow = newValue;
              break;
            case `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0043\u006f\u006d\u006d\u0065\u006e\u0074\u0043\u006f\u0075\u006e\u0074`:
              this.XiaoHongShu_CommentCount = newValue;
              break;
            case `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0063\u006f\u006e\u006e\u0065\u0063\u0074\u0069\u006f\u006e\u0073\u005f\u0075\u006e\u0066\u006f\u006c\u006c\u006f\u0077`:
              this.XiaoHongShu_connections_unfollow = newValue;
              break;
            case `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0063\u006f\u006e\u006e\u0065\u0063\u0074\u0069\u006f\u006e\u0073\u005f\u0066\u006f\u006c\u006c\u006f\u0077`:
              this.XiaoHongShu_connections_follow = newValue;
              break;
          }
        }
      });
    }
  }
});
setActivePinia(pinia);
const store = useCounterStore();
const commentStore = useCounterCommentStore();
const _hoisted_1$2 = {
  style: {
    "padding": `\u0032\u0030\u0070\u0078\u0020\u0033\u0030\u0070\u0078`,
    "top": `\u0033\u0032\u0025`,
    "left": `\u0034\u0035\u0025`,
    "position": `\u0061\u0062\u0073\u006f\u006c\u0075\u0074\u0065`,
    "border-radius": `\u0034\u0070\u0078`,
    "background": `\u0023\u0066\u0066\u0066`
  }
};
const _hoisted_2$2 = {
  style: {
    "text-align": `\u0063\u0065\u006e\u0074\u0065\u0072`
  }
};
const _hoisted_3$2 = {
  style: {
    "color": `\u0072\u0065\u0064`,
    "font-size": `\u0031\u0034\u0070\u0078`,
    "padding-top": `\u0031\u0030\u0070\u0078`,
    "padding-bottom": `\u0032\u0030\u0070\u0078`,
    "max-width": `\u0032\u0030\u0030\u0070\u0078`
  }
};
const _hoisted_4$2 = {
  style: {
    "font-size": `\u0031\u0036\u0070\u0078`,
    "font-weight": `\u0036\u0030\u0030`
  }
};
const _hoisted_5$1 = {
  key: 0,
  style: {
    "font-size": `\u0031\u0036\u0070\u0078`,
    "font-weight": `\u0036\u0030\u0030`
  }
};
const _hoisted_6$1 = {
  key: 1,
  style: {
    "font-size": `\u0031\u0036\u0070\u0078`,
    "font-weight": `\u0036\u0030\u0030`
  }
};
const _hoisted_7 = {
  style: {
    "font-size": `\u0031\u0036\u0070\u0078`,
    "font-weight": `\u0036\u0030\u0030`
  }
};
const _hoisted_8 = {
  key: 2,
  style: {
    "font-size": `\u0031\u0036\u0070\u0078`,
    "font-weight": `\u0036\u0030\u0030`
  }
};
const _hoisted_9 = {
  style: {
    "padding-top": `\u0032\u0030\u0070\u0078`,
    "display": `\u0066\u006c\u0065\u0078`,
    "justify-content": `\u0063\u0065\u006e\u0074\u0065\u0072`,
    "align-items": `\u0063\u0065\u006e\u0074\u0065\u0072`,
    "flex-direction": `\u0063\u006f\u006c\u0075\u006d\u006e`
  }
};
const _hoisted_10 = {
  style: {
    "font-size": `\u0031\u0034\u0070\u0078`
  }
};
const _sfc_main$3 = /* @__PURE__ */defineComponent({
  __name: `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0052\u0075\u006e`,
  setup(__props) {
    let XiaoHongShu_Setting = JSON.parse(store.XiaoHongShu_Setting);
    const stop = async () => {
      store.setActivatePage(`\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0053\u0065\u0074\u0074\u0069\u006e\u0067`);
      stopButtonText.value = getLocalizedMessage(`\u0063\u006f\u006e\u0074\u0065\u006e\u0074\u0050\u0061\u0067\u0065\u0053\u0074\u006f\u0070\u0049\u006e\u0067\u0054\u0065\u0078\u0074`);
    };
    function getTabTaskData() {
      return new Promise(resolve => {
        chrome.runtime.sendMessage({
          action: `\u0067\u0065\u0074\u0054\u0061\u0062\u0054\u0061\u0073\u006b\u0044\u0061\u0074\u0061`
        }, {
          includeTlsChannelId: false
        }, response => {
          if (response && response.tabId) {
            console.log(`\u0067\u0065\u0074\u0054\u0061\u0062\u0054\u0061\u0073\u006b\u0044\u0061\u0074\u0061\u0020\u0043\u0075\u0072\u0072\u0065\u006e\u0074\u0020\u0054\u0061\u0062\u0020\u0049\u0044\u003a`, response.tabId, response);
            resolve(response);
          } else {
            console.error(`\u0046\u0061\u0069\u006c\u0065\u0064\u0020\u0074\u006f\u0020\u0067\u0065\u0074\u0020\u0074\u0061\u0062\u0020\u0049\u0044\u002e`);
            resolve({});
          }
        });
      });
    }
    function closeTabListener() {
      chrome.storage.onChanged.addListener((changes, namespace) => {
        for (let [key, {
          oldValue,
          newValue
        }] of Object.entries(changes)) {
          console.log(`\u0053\u0074\u006f\u0072\u0061\u0067\u0065\u0020\u006b\u0065\u0079\u0020\u0022${key}\u0022\u0020\u0069\u006e\u0020\u006e\u0061\u006d\u0065\u0073\u0070\u0061\u0063\u0065\u0020\u0022${namespace}\u0022\u0020\u0063\u0068\u0061\u006e\u0067\u0065\u0064\u002e`, `\u004f\u006c\u0064\u0020\u0076\u0061\u006c\u0075\u0065\u0020\u0077\u0061\u0073\u0020\u0022${oldValue}\u0022\u002c\u0020\u006e\u0065\u0077\u0020\u0076\u0061\u006c\u0075\u0065\u0020\u0069\u0073\u0020\u0022${newValue}\u0022\u002e`);
          sendLog(`\u0053\u0074\u006f\u0072\u0061\u0067\u0065\u0020\u006b\u0065\u0079\u0020\u0022${key}\u0022\u0020\u0069\u006e\u0020\u006e\u0061\u006d\u0065\u0073\u0070\u0061\u0063\u0065\u0020\u0022${namespace}\u0022\u0020\u0063\u0068\u0061\u006e\u0067\u0065\u0064\u002e\u004f\u006c\u0064\u0020\u0076\u0061\u006c\u0075\u0065\u0020\u0077\u0061\u0073\u0020\u0022${oldValue}\u0022\u002c\u0020\u006e\u0065\u0077\u0020\u0076\u0061\u006c\u0075\u0065\u0020\u0069\u0073\u0020\u0022${newValue}\u0022\u002e`);
          switch (key) {
            case `\u0078\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u0041\u0063\u0063\u006f\u0075\u006e\u0074\u0045\u0072\u0072\u006f\u0072\u0054\u0069\u0070`:
              if (newValue) {
                ElMessageBox.alert(newValue, `\u9519\u8bef`, {
                  // if you want to disable its autofocus
                  // autofocus: false,
                  showCancelButton: false,
                  confirmButtonText: `\u004f\u004b`,
                  callback: () => {
                    stop();
                  }
                });
              }
          }
        }
      });
    }
    const queryLastTime = () => {
      console.log(`\u0071\u0075\u0065\u0072\u0079\u004c\u0061\u0073\u0074\u0054\u0069\u006d\u0065`);
      chrome.runtime.onMessage.addListener(async (request, sender, sendResponse) => {
        if ((request == null ? void 0 : request.action) == store.getChromeTabId() + `\u005f\u0071\u0075\u0065\u0072\u0079\u004c\u0061\u0073\u0074\u0054\u0069\u006d\u0065`) {
          console.log(`\u0071\u0075\u0065\u0072\u0079\u004c\u0061\u0073\u0074\u0054\u0069\u006d\u0065\u3002`, sender, request);
          sendLog(`\u5269\u4f59\u65f6\u95f4\uff1a` + minute);
          sendResponse(minute);
          return false;
        }
      });
    };
    const formattedTime = ref(`\u0036\u0030\u003a\u0030\u0030`);
    const stopButtonText = ref(getLocalizedMessage(`\u0063\u006f\u006e\u0074\u0065\u006e\u0074\u0050\u0061\u0067\u0065\u0053\u0074\u006f\u0070\u0054\u0065\u0078\u0074`));
    let minute = 0;
    let orginOperationTime = 0;
    class CountdownTimer {
      constructor(minutes) {
        __publicField(this, `\u0074\u006f\u0074\u0061\u006c\u0053\u0065\u0063\u006f\u006e\u0064\u0073`);
        __publicField(this, `\u0069\u006e\u0074\u0065\u0072\u0076\u0061\u006c\u0049\u0064`);
        orginOperationTime = minutes;
        this.totalSeconds = minutes * 60;
      }
      // Start the countdown timer
      start() {
        this.intervalId = window.setInterval(() => {
          if (this.totalSeconds <= 0) {
            console.log(`\u0043\u006f\u0075\u006e\u0074\u0064\u006f\u0077\u006e\u0020\u0066\u0069\u006e\u0069\u0073\u0068\u0065\u0064\u0021`);
            this.stopFun();
          } else {
            this.totalSeconds--;
            this.displayTime();
          }
        }, 1e3);
      }
      // Stop the countdown timer
      stopFun() {
        if (this.intervalId !== void 0) {
          clearInterval(this.intervalId);
          stop();
        }
      }
      // Display time in minutes and seconds
      displayTime() {
        if (store.activatePage == `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0053\u0065\u0074\u0074\u0069\u006e\u0067`) {
          return;
        }
        const minutes = Math.floor(this.totalSeconds / 60);
        const seconds = this.totalSeconds % 60;
        if (minute != 0 && minute != minutes + 1) {
          console.log(`\u006d\u0069\u006e\u0075\u0074\u0065`, minute);
          if (store.taskPlatform == `\u5c0f\u7ea2\u4e66`) {
            chrome.storage.local.set({
              "runMinuteTime": orginOperationTime - minute
            });
            store.addXHSCommentMinuteCount({
              minute: orginOperationTime - minute,
              num: store.xhs_CommentCount
            });
          } else {
            chrome.storage.local.set({
              "runMinuteTime": orginOperationTime - minute
            });
            store.addDyCommentMinuteCount({
              minute: orginOperationTime - minute,
              num: store.dy_CommentCount
            });
          }
        }
        minute = minutes + 1;
        formattedTime.value = `${this.padZero(minutes)}\u003a${this.padZero(seconds)}`;
      }
      // Pad single digit numbers with a leading zero
      padZero(value) {
        return value < 10 ? `\u0030${value}` : `${value}`;
      }
    }
    let timerMin = void 0;
    setTimeout(async () => {
      var _a;
      await store.checkLoadend();
      if (!XiaoHongShu_Setting || Object.keys(XiaoHongShu_Setting).length == 0) {
        XiaoHongShu_Setting = JSON.parse(store.XiaoHongShu_Setting);
      }
      if (store.operationTime !== 0) {
        console.log(`\u006f\u0070\u0065\u0072\u0061\u0074\u0069\u006f\u006e\u0054\u0069\u006d\u0065\u0020\u0032`, store.operationTime);
        timerMin = new CountdownTimer(store.operationTime);
        timerMin.start();
      } else {
        console.log(`\u0063\u0068\u0065\u0063\u006b\u004c\u006f\u0061\u0064\u0065\u006e\u0064`, store.XiaoHongShu_Setting, XiaoHongShu_Setting);
        if (XiaoHongShu_Setting.operationTime) {
          let operationTime = parseInt(XiaoHongShu_Setting.operationTime);
          console.log(`\u006f\u0070\u0065\u0072\u0061\u0074\u0069\u006f\u006e\u0054\u0069\u006d\u0065`, operationTime);
          chrome.storage.local.set({
            "operationTime": operationTime
          });
          timerMin = new CountdownTimer(operationTime);
          timerMin.start();
        }
      }
      sendLog(`\u0063\u006f\u006e\u0074\u0065\u006e\u0074\u0050\u0061\u0067\u0065\u0020\u0073\u0065\u0074\u0054\u0069\u006d\u0065\u006f\u0075\u0074\u0020\u0065\u006e\u0064`);
      const taskData = await getTabTaskData();
      store.setChromeTabId(taskData == null ? void 0 : taskData.tabId);
      store.setTaskPlatform((_a = taskData == null ? void 0 : taskData.tabData) == null ? void 0 : _a.taskPlatform);
      queryLastTime();
      if (store.xiaoHongShuAccountErrorTip) {
        ElMessageBox.alert(store.xiaoHongShuAccountErrorTip, `\u63d0\u793a`, {
          // if you want to disable its autofocus
          // autofocus: false,
          showCancelButton: false,
          confirmButtonText: `\u004f\u004b`,
          callback: () => {
            stop();
          }
        });
      } else {
        closeTabListener();
      }
    }, 1);
    const $t = inject(`\u0024\u0074`);
    return (_ctx, _cache) => {
      var _a;
      return openBlock(), createElementBlock(`\u0064\u0069\u0076`, _hoisted_1$2, [createBaseVNode(`\u0068\u0031`, _hoisted_2$2, toDisplayString(unref($t)(`\u0063\u006f\u006e\u0074\u0065\u006e\u0074\u0050\u0061\u0067\u0065\u0054\u0069\u0074\u006c\u0065`)), 1), createBaseVNode(`\u0064\u0069\u0076`, _hoisted_3$2, toDisplayString(unref($t)(`\u0063\u006f\u006e\u0074\u0065\u006e\u0074\u0050\u0061\u0067\u0065\u0044\u0065\u0073\u0063\u0072\u0069\u0070\u0074\u0069\u006f\u006e`)), 1), createBaseVNode(`\u0064\u0069\u0076`, null, [createBaseVNode(`\u0064\u0069\u0076`, _hoisted_4$2, toDisplayString(unref($t)(`\u0063\u006f\u006e\u0074\u0065\u006e\u0074\u0050\u0061\u0067\u0065\u0056\u0069\u0065\u0077\u0043\u006f\u0075\u006e\u0074\u0054\u0065\u0078\u0074`)) + `\uff1a` + toDisplayString(unref(store).taskPlatform == `\u5c0f\u7ea2\u4e66` ? unref(store).xhs_viewCount : unref(store).dy_viewCount), 1), unref(XiaoHongShu_Setting).like ? (openBlock(), createElementBlock(`\u0064\u0069\u0076`, _hoisted_5$1, toDisplayString(unref($t)(`\u0070\u006f\u0070\u0075\u0070\u004f\u0074\u0068\u0065\u0072\u004c\u0069\u006b\u0065`)) + `\uff1a` + toDisplayString(unref(store).taskPlatform == `\u5c0f\u7ea2\u4e66` ? unref(store).xhs_likeCount : unref(store).dy_likeCount), 1)) : createCommentVNode(``, true), unref(XiaoHongShu_Setting).collect ? (openBlock(), createElementBlock(`\u0064\u0069\u0076`, _hoisted_6$1, toDisplayString(unref($t)(`\u0070\u006f\u0070\u0075\u0070\u004f\u0074\u0068\u0065\u0072\u0043\u006f\u006c\u006c\u0065\u0063\u0074`)) + `\uff1a` + toDisplayString(unref(store).taskPlatform == `\u5c0f\u7ea2\u4e66` ? unref(store).xhs_collectCount : unref(store).dy_collectCount), 1)) : createCommentVNode(``, true), createBaseVNode(`\u0064\u0069\u0076`, _hoisted_7, toDisplayString(unref($t)(`\u0063\u006f\u006e\u0074\u0065\u006e\u0074\u0050\u0061\u0067\u0065\u0053\u0065\u006e\u0064\u0043\u006f\u006d\u006d\u0065\u006e\u0074\u0054\u0065\u0078\u0074`)) + `\uff1a` + toDisplayString(unref(store).taskPlatform == `\u5c0f\u7ea2\u4e66` ? unref(store).xhs_CommentCount : unref(store).dy_CommentCount), 1), unref(XiaoHongShu_Setting).follow ? (openBlock(), createElementBlock(`\u0064\u0069\u0076`, _hoisted_8, toDisplayString(unref($t)(`\u0070\u006f\u0070\u0075\u0070\u004f\u0074\u0068\u0065\u0072\u0046\u006f\u006c\u006c\u006f\u0077`)) + `\uff1a` + toDisplayString(unref(store).taskPlatform == `\u5c0f\u7ea2\u4e66` ? unref(store).xhs_followCount : unref(store).dy_followCount), 1)) : createCommentVNode(``, true)]), createBaseVNode(`\u0064\u0069\u0076`, _hoisted_9, [createBaseVNode(`\u0064\u0069\u0076`, _hoisted_10, toDisplayString(unref($t)(`\u0063\u006f\u006e\u0074\u0065\u006e\u0074\u0050\u0061\u0067\u0065\u004f\u0070\u0074\u0069\u006f\u006e\u0073\u0054\u0069\u006d\u0065\u0054\u0065\u0078\u0074`)) + `\uff1a` + toDisplayString((_a = unref(XiaoHongShu_Setting)) == null ? void 0 : _a.operationTime), 1), createBaseVNode(`\u0062\u0075\u0074\u0074\u006f\u006e`, {
        style: normalizeStyle([{
          "width": unref(store).activatePage == `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0053\u0065\u0074\u0074\u0069\u006e\u0067` ? `\u0032\u0034\u0030\u0070\u0078` : `\u0031\u0038\u0030\u0070\u0078`
        }, {
          "border-radius": `\u0034\u0070\u0078`,
          "height": `\u0033\u0030\u0070\u0078`,
          "background-color": `\u0023\u0066\u0034\u0034\u0033\u0033\u0036`,
          "color": `\u0023\u0066\u0066\u0066`,
          "font-size": `\u0031\u0036\u0070\u0078`,
          "font-weight": `\u0036\u0030\u0030`,
          "margin-top": `\u0035\u0070\u0078`,
          "cursor": `\u0070\u006f\u0069\u006e\u0074\u0065\u0072`
        }]),
        onClick: stop
      }, toDisplayString(stopButtonText.value) + `\uff08` + toDisplayString(formattedTime.value) + `\uff09`, 5)])]);
    };
  }
});
const _hoisted_1$1 = {
  style: {
    "padding": `\u0032\u0030\u0070\u0078\u0020\u0033\u0030\u0070\u0078`,
    "top": `\u0033\u0032\u0025`,
    "left": `\u0035\u0030\u0025`,
    "position": `\u0061\u0062\u0073\u006f\u006c\u0075\u0074\u0065`,
    "border-radius": `\u0034\u0070\u0078`,
    "background": `\u0023\u0066\u0066\u0066`
  }
};
const _hoisted_2$1 = {
  style: {
    "font-size": `\u0031\u0036\u0070\u0078`,
    "font-weight": `\u0036\u0030\u0030`
  }
};
const _hoisted_3$1 = {
  style: {
    "font-size": `\u0031\u0036\u0070\u0078`,
    "font-weight": `\u0036\u0030\u0030`
  }
};
const _hoisted_4$1 = {
  style: {
    "font-size": `\u0031\u0036\u0070\u0078`,
    "font-weight": `\u0036\u0030\u0030`
  }
};
const _hoisted_5 = {
  style: {
    "font-size": `\u0031\u0036\u0070\u0078`,
    "font-weight": `\u0036\u0030\u0030`
  }
};
const _hoisted_6 = {
  style: {
    "font-size": `\u0031\u0036\u0070\u0078`,
    "font-weight": `\u0036\u0030\u0030`
  }
};
const _sfc_main$2 = /* @__PURE__ */defineComponent({
  __name: `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0063\u006f\u006d\u006d\u0065\u006e\u0074\u005f\u0052\u0075\u006e`,
  setup(__props) {
    const stop = async () => {
      commentStore.setActivatePage(`\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0063\u006f\u006d\u006d\u0065\u006e\u0074\u005f\u0053\u0065\u0074\u0074\u0069\u006e\u0067`);
    };
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(`\u0064\u0069\u0076`, _hoisted_1$1, [_cache[2] || (_cache[2] = createBaseVNode(`\u0068\u0031`, {
        style: {
          "text-align": `\u0063\u0065\u006e\u0074\u0065\u0072`
        }
      }, `\u5c0f\u56de\u58f0\u52aa\u529b\u5de5\u4f5c\u4e2d`, -1)), _cache[3] || (_cache[3] = createBaseVNode(`\u0064\u0069\u0076`, {
        style: {
          "color": `\u0072\u0065\u0064`,
          "font-size": `\u0031\u0034\u0070\u0078`,
          "padding-top": `\u0031\u0030\u0070\u0078`,
          "padding-bottom": `\u0032\u0030\u0070\u0078`
        }
      }, `\u8fd0\u884c\u4e2d\u8bf7\u4e0d\u8981\u5173\u95ed\u6216\u6700\u5c0f\u5316\u6d4f\u89c8\u5668`, -1)), createBaseVNode(`\u0064\u0069\u0076`, null, [createBaseVNode(`\u0064\u0069\u0076`, _hoisted_2$1, `\u8bc4\u8bba\u6570\u91cf\uff1a` + toDisplayString(unref(commentStore).XiaoHongShu_CommentCount), 1), _cache[0] || (_cache[0] = createBaseVNode(`\u0064\u0069\u0076`, {
        style: {
          "font-size": `\u0032\u0030\u0070\u0078`,
          "font-weight": `\u0036\u0030\u0030`,
          "padding-top": `\u0031\u0030\u0070\u0078`
        }
      }, `\u8d5e\u548c\u6536\u85cf`, -1)), createBaseVNode(`\u0064\u0069\u0076`, _hoisted_3$1, `\u5173\u6ce8\u6570\u91cf\uff1a` + toDisplayString(unref(commentStore).XiaoHongShu_likes_follow), 1), createBaseVNode(`\u0064\u0069\u0076`, _hoisted_4$1, `\u53d6\u5173\u6570\u91cf\uff1a` + toDisplayString(unref(commentStore).XiaoHongShu_likes_unfollow), 1), _cache[1] || (_cache[1] = createBaseVNode(`\u0064\u0069\u0076`, {
        style: {
          "font-size": `\u0032\u0030\u0070\u0078`,
          "font-weight": `\u0036\u0030\u0030`,
          "padding-top": `\u0031\u0030\u0070\u0078`
        }
      }, `\u65b0\u589e\u5173\u6ce8`, -1)), createBaseVNode(`\u0064\u0069\u0076`, _hoisted_5, `\u56de\u5173\u6570\u91cf\uff1a` + toDisplayString(unref(commentStore).XiaoHongShu_connections_follow), 1), createBaseVNode(`\u0064\u0069\u0076`, _hoisted_6, `\u53d6\u5173\u6570\u91cf\uff1a` + toDisplayString(unref(commentStore).XiaoHongShu_connections_unfollow), 1)]), createBaseVNode(`\u0064\u0069\u0076`, {
        style: {
          "padding-top": `\u0032\u0030\u0070\u0078`,
          "display": `\u0066\u006c\u0065\u0078`,
          "justify-content": `\u0063\u0065\u006e\u0074\u0065\u0072`,
          "align-items": `\u0063\u0065\u006e\u0074\u0065\u0072`,
          "flex-direction": `\u0063\u006f\u006c\u0075\u006d\u006e`
        }
      }, [createBaseVNode(`\u0062\u0075\u0074\u0074\u006f\u006e`, {
        style: {
          "border-radius": `\u0034\u0070\u0078`,
          "width": `\u0031\u0038\u0030\u0070\u0078`,
          "height": `\u0033\u0030\u0070\u0078`,
          "background-color": `\u0023\u0066\u0034\u0034\u0033\u0033\u0036`,
          "color": `\u0023\u0066\u0066\u0066`,
          "font-size": `\u0031\u0036\u0070\u0078`,
          "font-weight": `\u0036\u0030\u0030`,
          "margin-top": `\u0035\u0070\u0078`,
          "cursor": `\u0070\u006f\u0069\u006e\u0074\u0065\u0072`
        },
        onClick: stop
      }, `\u505c\u6b62\u8fd0\u884c`)])]);
    };
  }
});
const _hoisted_1 = {
  style: {
    "padding": `\u0032\u0030\u0070\u0078\u0020\u0033\u0030\u0070\u0078`,
    "top": `\u0033\u0032\u0025`,
    "left": `\u0034\u0035\u0025`,
    "position": `\u0061\u0062\u0073\u006f\u006c\u0075\u0074\u0065`,
    "border-radius": `\u0034\u0070\u0078`,
    "background": `\u0023\u0066\u0066\u0066`
  }
};
const _hoisted_2 = {
  style: {
    "text-align": `\u0063\u0065\u006e\u0074\u0065\u0072`
  }
};
const _hoisted_3 = {
  style: {
    "color": `\u0072\u0065\u0064`,
    "font-size": `\u0031\u0034\u0070\u0078`,
    "padding-top": `\u0031\u0030\u0070\u0078`,
    "padding-bottom": `\u0032\u0030\u0070\u0078`,
    "max-width": `\u0032\u0030\u0030\u0070\u0078`
  }
};
const _hoisted_4 = {
  style: {
    "padding-top": `\u0032\u0030\u0070\u0078`,
    "display": `\u0066\u006c\u0065\u0078`,
    "justify-content": `\u0063\u0065\u006e\u0074\u0065\u0072`,
    "align-items": `\u0063\u0065\u006e\u0074\u0065\u0072`,
    "flex-direction": `\u0063\u006f\u006c\u0075\u006d\u006e`
  }
};
const _sfc_main$1 = /* @__PURE__ */defineComponent({
  __name: `\u0064\u006f\u0075\u0079\u0069\u006e\u005f\u006b\u0065\u007a\u0069\u005f\u0072\u0075\u006e`,
  setup(__props) {
    const store2 = useCounterStore();
    store2.loadFromStorage();
    let XiaoHongShu_Setting = JSON.parse(store2.XiaoHongShu_Setting);
    const stop = async () => {
      store2.setActivatePage(indexPage);
      stopButtonText.value = getLocalizedMessage(`\u0063\u006f\u006e\u0074\u0065\u006e\u0074\u0050\u0061\u0067\u0065\u0053\u0074\u006f\u0070\u0049\u006e\u0067\u0054\u0065\u0078\u0074`);
      store2.setStopButtonText(stopButtonText.value);
    };
    function getTabTaskData() {
      return new Promise(resolve => {
        chrome.runtime.sendMessage({
          action: `\u0067\u0065\u0074\u0054\u0061\u0062\u0054\u0061\u0073\u006b\u0044\u0061\u0074\u0061`
        }, {
          includeTlsChannelId: false
        }, response => {
          if (response && response.tabId) {
            console.log(`\u0067\u0065\u0074\u0054\u0061\u0062\u0054\u0061\u0073\u006b\u0044\u0061\u0074\u0061\u0020\u0043\u0075\u0072\u0072\u0065\u006e\u0074\u0020\u0054\u0061\u0062\u0020\u0049\u0044\u003a`, response.tabId, response);
            resolve(response);
          } else {
            console.error(`\u0046\u0061\u0069\u006c\u0065\u0064\u0020\u0074\u006f\u0020\u0067\u0065\u0074\u0020\u0074\u0061\u0062\u0020\u0049\u0044\u002e`);
            resolve({});
          }
        });
      });
    }
    function closeTabListener() {
      chrome.storage.onChanged.addListener((changes, namespace) => {
        for (let [key, {
          oldValue,
          newValue
        }] of Object.entries(changes)) {
          console.log(`\u0053\u0074\u006f\u0072\u0061\u0067\u0065\u0020\u006b\u0065\u0079\u0020\u0022${key}\u0022\u0020\u0069\u006e\u0020\u006e\u0061\u006d\u0065\u0073\u0070\u0061\u0063\u0065\u0020\u0022${namespace}\u0022\u0020\u0063\u0068\u0061\u006e\u0067\u0065\u0064\u002e`, `\u004f\u006c\u0064\u0020\u0076\u0061\u006c\u0075\u0065\u0020\u0077\u0061\u0073\u0020\u0022${oldValue}\u0022\u002c\u0020\u006e\u0065\u0077\u0020\u0076\u0061\u006c\u0075\u0065\u0020\u0069\u0073\u0020\u0022${newValue}\u0022\u002e`);
          sendLog2(`\u0053\u0074\u006f\u0072\u0061\u0067\u0065\u0020\u006b\u0065\u0079\u0020\u0022${key}\u0022\u0020\u0069\u006e\u0020\u006e\u0061\u006d\u0065\u0073\u0070\u0061\u0063\u0065\u0020\u0022${namespace}\u0022\u0020\u0063\u0068\u0061\u006e\u0067\u0065\u0064\u002e\u004f\u006c\u0064\u0020\u0076\u0061\u006c\u0075\u0065\u0020\u0077\u0061\u0073\u0020\u0022${oldValue}\u0022\u002c\u0020\u006e\u0065\u0077\u0020\u0076\u0061\u006c\u0075\u0065\u0020\u0069\u0073\u0020\u0022${newValue}\u0022\u002e`);
          switch (key) {
            case `\u0078\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u0041\u0063\u0063\u006f\u0075\u006e\u0074\u0045\u0072\u0072\u006f\u0072\u0054\u0069\u0070`:
              if (newValue) {
                ElMessageBox.alert(newValue, `\u9519\u8bef`, {
                  // if you want to disable its autofocus
                  // autofocus: false,
                  showCancelButton: false,
                  confirmButtonText: `\u004f\u004b`,
                  callback: () => {
                    stop();
                  }
                });
              }
              break;
            case `\u0072\u0065\u0066\u0072\u0065\u0073\u0068\u0046\u0072\u0065\u0071\u0075\u0065\u006e\u0063\u0079\u004e\u0075\u006d`:
              if (newValue) {
                stopButtonText.value = getLocalizedMessage(`\u0052\u0065\u0066\u0072\u0065\u0073\u0068\u0046\u0072\u0065\u0071\u0075\u0065\u006e\u0063\u0079\u0054\u0065\u0078\u0074`);
                store2.setStopButtonText(stopButtonText.value);
                timerMin = new CountdownTimer(Math.floor(newValue / 1e3));
                timerMin.start();
              }
              break;
          }
        }
      });
    }
    const queryLastTime = () => {
      console.log(`\u0071\u0075\u0065\u0072\u0079\u004c\u0061\u0073\u0074\u0054\u0069\u006d\u0065`);
      chrome.runtime.onMessage.addListener(async (request, sender, sendResponse) => {
        if ((request == null ? void 0 : request.action) == store2.getChromeTabId() + `\u005f\u0071\u0075\u0065\u0072\u0079\u004c\u0061\u0073\u0074\u0054\u0069\u006d\u0065`) {
          console.log(`\u0071\u0075\u0065\u0072\u0079\u004c\u0061\u0073\u0074\u0054\u0069\u006d\u0065\u3002`, sender, request);
          sendLog2(`\u5269\u4f59\u65f6\u95f4\uff1a` + minute);
          sendResponse(minute);
          return false;
        }
      });
    };
    const formattedTime = ref(``);
    const stopButtonText = ref(getLocalizedMessage(`\u0063\u006f\u006e\u0074\u0065\u006e\u0074\u0050\u0061\u0067\u0065\u0053\u0074\u006f\u0070\u0054\u0065\u0078\u0074`));
    store2.setStopButtonText(stopButtonText.value);
    let minute = 0;
    let orginOperationTime = 0;
    class CountdownTimer {
      constructor(seconds) {
        __publicField(this, `\u0074\u006f\u0074\u0061\u006c\u0053\u0065\u0063\u006f\u006e\u0064\u0073`);
        __publicField(this, `\u0069\u006e\u0074\u0065\u0072\u0076\u0061\u006c\u0049\u0064`);
        orginOperationTime = seconds / 60;
        this.totalSeconds = seconds;
      }
      // Start the countdown timer
      start() {
        this.intervalId = window.setInterval(() => {
          if (this.totalSeconds <= 0) {
            console.log(`\u0043\u006f\u0075\u006e\u0074\u0064\u006f\u0077\u006e\u0020\u0066\u0069\u006e\u0069\u0073\u0068\u0065\u0064\u0021`);
            this.stopFun();
          } else {
            this.totalSeconds--;
            this.displayTime();
          }
        }, 1e3);
      }
      // Stop the countdown timer
      stopFun() {
        if (this.intervalId !== void 0) {
          clearInterval(this.intervalId);
          stopButtonText.value = getLocalizedMessage(`\u0063\u006f\u006e\u0074\u0065\u006e\u0074\u0050\u0061\u0067\u0065\u0053\u0074\u006f\u0070\u0054\u0065\u0078\u0074`);
          store2.setStopButtonText(stopButtonText.value);
        }
      }
      // Display time in minutes and seconds
      displayTime() {
        if (store2.activatePage == `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0053\u0065\u0074\u0074\u0069\u006e\u0067`) {
          return;
        }
        const minutes = Math.floor(this.totalSeconds / 60);
        const seconds = this.totalSeconds % 60;
        if (minute != 0 && minute != minutes + 1) {
          console.log(`\u006d\u0069\u006e\u0075\u0074\u0065`, minute);
          if (store2.taskPlatform == `\u5c0f\u7ea2\u4e66`) {
            chrome.storage.local.set({
              "runMinuteTime": orginOperationTime - minute
            });
            store2.addXHSCommentMinuteCount({
              minute: orginOperationTime - minute,
              num: store2.xhs_CommentCount
            });
          } else {
            chrome.storage.local.set({
              "runMinuteTime": orginOperationTime - minute
            });
            store2.addDyCommentMinuteCount({
              minute: orginOperationTime - minute,
              num: store2.dy_CommentCount
            });
          }
        }
        minute = minutes + 1;
        formattedTime.value = `${this.padZero(minutes)}\u003a${this.padZero(seconds)}`;
        store2.setFormattedTime(formattedTime.value);
      }
      // Pad single digit numbers with a leading zero
      padZero(value) {
        return value < 10 ? `\u0030${value}` : `${value}`;
      }
    }
    function sendLog2(message) {
      chrome.runtime.sendMessage({
        action: `\u006c\u006f\u0067\u0073`,
        message
      }).then(() => {}).catch(err => {
        console.error(err);
      });
    }
    let timerMin = void 0;
    setTimeout(async () => {
      var _a;
      await store2.checkLoadend();
      if (!XiaoHongShu_Setting || Object.keys(XiaoHongShu_Setting).length == 0) {
        XiaoHongShu_Setting = JSON.parse(store2.XiaoHongShu_Setting);
      }
      if (store2.operationTime !== 0) {
        console.log(`\u006f\u0070\u0065\u0072\u0061\u0074\u0069\u006f\u006e\u0054\u0069\u006d\u0065\u0020\u0032`, store2.operationTime);
      } else {
        console.log(`\u0063\u0068\u0065\u0063\u006b\u004c\u006f\u0061\u0064\u0065\u006e\u0064`, store2.XiaoHongShu_Setting, XiaoHongShu_Setting);
      }
      sendLog2(`\u0063\u006f\u006e\u0074\u0065\u006e\u0074\u0050\u0061\u0067\u0065\u0020\u0073\u0065\u0074\u0054\u0069\u006d\u0065\u006f\u0075\u0074\u0020\u0065\u006e\u0064`);
      const taskData = await getTabTaskData();
      store2.setChromeTabId(taskData == null ? void 0 : taskData.tabId);
      store2.setTaskPlatform((_a = taskData == null ? void 0 : taskData.tabData) == null ? void 0 : _a.taskPlatform);
      queryLastTime();
      if (store2.xiaoHongShuAccountErrorTip) {
        ElMessageBox.alert(store2.xiaoHongShuAccountErrorTip, `\u63d0\u793a`, {
          // if you want to disable its autofocus
          // autofocus: false,
          showCancelButton: false,
          confirmButtonText: `\u004f\u004b`,
          callback: () => {
            stop();
          }
        });
      } else {
        closeTabListener();
      }
    }, 1);
    const $t = inject(`\u0024\u0074`);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(`\u0064\u0069\u0076`, _hoisted_1, [createBaseVNode(`\u0068\u0031`, _hoisted_2, toDisplayString(unref($t)(`\u0063\u006f\u006e\u0074\u0065\u006e\u0074\u0050\u0061\u0067\u0065\u0054\u0069\u0074\u006c\u0065`)), 1), createBaseVNode(`\u0064\u0069\u0076`, _hoisted_3, toDisplayString(unref($t)(`\u0063\u006f\u006e\u0074\u0065\u006e\u0074\u0050\u0061\u0067\u0065\u0044\u0065\u0073\u0063\u0072\u0069\u0070\u0074\u0069\u006f\u006e`)), 1), createBaseVNode(`\u0064\u0069\u0076`, _hoisted_4, [createBaseVNode(`\u0062\u0075\u0074\u0074\u006f\u006e`, {
        style: normalizeStyle([{
          "width": unref(store2).activatePage == `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0053\u0065\u0074\u0074\u0069\u006e\u0067` ? `\u0032\u0034\u0030\u0070\u0078` : `\u0031\u0038\u0030\u0070\u0078`
        }, {
          "border-radius": `\u0034\u0070\u0078`,
          "height": `\u0033\u0030\u0070\u0078`,
          "background-color": `\u0023\u0066\u0034\u0034\u0033\u0033\u0036`,
          "color": `\u0023\u0066\u0066\u0066`,
          "font-size": `\u0031\u0036\u0070\u0078`,
          "font-weight": `\u0036\u0030\u0030`,
          "margin-top": `\u0035\u0070\u0078`,
          "cursor": `\u0070\u006f\u0069\u006e\u0074\u0065\u0072`
        }]),
        onClick: stop
      }, toDisplayString(stopButtonText.value) + toDisplayString(formattedTime.value ? `\uff08${formattedTime.value}\uff09` : ``), 5)])]);
    };
  }
});
const _sfc_main = /* @__PURE__ */defineComponent({
  __name: `\u0041\u0070\u0070`,
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(`\u0064\u0069\u0076`, null, [createVNode(XiaoHongShu_small_icon), unref(store).activatePage == `\u0064\u006f\u0075\u0079\u0069\u006e\u005f\u006b\u0065\u007a\u0069\u005f\u0072\u0075\u006e` ? (openBlock(), createBlock(_sfc_main$1, {
        key: `\u0064\u006f\u0075\u0079\u0069\u006e\u005f\u006b\u0065\u007a\u0069\u005f\u0072\u0075\u006e`
      })) : createCommentVNode(``, true), unref(store).activatePage == `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0052\u0075\u006e` ? (openBlock(), createBlock(_sfc_main$3, {
        key: `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0052\u0075\u006e`
      })) : unref(store).activatePage == `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0063\u006f\u006d\u006d\u0065\u006e\u0074\u005f\u0052\u0075\u006e` ? (openBlock(), createBlock(_sfc_main$2, {
        key: `\u0058\u0069\u0061\u006f\u0048\u006f\u006e\u0067\u0053\u0068\u0075\u005f\u0063\u006f\u006d\u006d\u0065\u006e\u0074\u005f\u0052\u0075\u006e`
      })) : createCommentVNode(``, true)]);
    };
  }
});
store.loadFromStorage();
commentStore.loadFromStorage();
const app = createApp(_sfc_main);
const uILanguage = chrome.i18n.getUILanguage();
console.log(`\u0055\u0049\u004c\u0061\u006e\u0067\u0075\u0061\u0067\u0065`, uILanguage);
setLocale(uILanguage);
app.provide(`\u0024\u0074`, getLocalizedMessage);
app.use(pinia).mount(`\u0023\u0061\u0070\u0070`);