/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */
var t = function (r2, e2) {
  return (t = Object.setPrototypeOf || {
    __proto__: []
  } instanceof Array && function (t2, r3) {
    t2.__proto__ = r3;
  } || function (t2, r3) {
    for (var e3 in r3) Object.prototype.hasOwnProperty.call(r3, e3) && (t2[e3] = r3[e3]);
  })(r2, e2);
};
function r(r2, e2) {
  if (`\u0066\u0075\u006e\u0063\u0074\u0069\u006f\u006e` != typeof e2 && null !== e2) throw new TypeError(`\u0043\u006c\u0061\u0073\u0073\u0020\u0065\u0078\u0074\u0065\u006e\u0064\u0073\u0020\u0076\u0061\u006c\u0075\u0065\u0020` + String(e2) + `\u0020\u0069\u0073\u0020\u006e\u006f\u0074\u0020\u0061\u0020\u0063\u006f\u006e\u0073\u0074\u0072\u0075\u0063\u0074\u006f\u0072\u0020\u006f\u0072\u0020\u006e\u0075\u006c\u006c`);
  function i2() {
    this.constructor = r2;
  }
  t(r2, e2), r2.prototype = null === e2 ? Object.create(e2) : (i2.prototype = e2.prototype, new i2());
}
function e(t2) {
  var r2 = ``;
  Array.isArray(t2) || (t2 = [t2]);
  for (var e2 = 0; e2 < t2.length; e2++) {
    var i2 = t2[e2];
    if (i2.type === _.CLOSE_PATH) r2 += `\u007a`;else if (i2.type === _.HORIZ_LINE_TO) r2 += (i2.relative ? `\u0068` : `\u0048`) + i2.x;else if (i2.type === _.VERT_LINE_TO) r2 += (i2.relative ? `\u0076` : `\u0056`) + i2.y;else if (i2.type === _.MOVE_TO) r2 += (i2.relative ? `\u006d` : `\u004d`) + i2.x + `\u0020` + i2.y;else if (i2.type === _.LINE_TO) r2 += (i2.relative ? `\u006c` : `\u004c`) + i2.x + `\u0020` + i2.y;else if (i2.type === _.CURVE_TO) r2 += (i2.relative ? `\u0063` : `\u0043`) + i2.x1 + `\u0020` + i2.y1 + `\u0020` + i2.x2 + `\u0020` + i2.y2 + `\u0020` + i2.x + `\u0020` + i2.y;else if (i2.type === _.SMOOTH_CURVE_TO) r2 += (i2.relative ? `\u0073` : `\u0053`) + i2.x2 + `\u0020` + i2.y2 + `\u0020` + i2.x + `\u0020` + i2.y;else if (i2.type === _.QUAD_TO) r2 += (i2.relative ? `\u0071` : `\u0051`) + i2.x1 + `\u0020` + i2.y1 + `\u0020` + i2.x + `\u0020` + i2.y;else if (i2.type === _.SMOOTH_QUAD_TO) r2 += (i2.relative ? `\u0074` : `\u0054`) + i2.x + `\u0020` + i2.y;else {
      if (i2.type !== _.ARC) throw new Error(`\u0055\u006e\u0065\u0078\u0070\u0065\u0063\u0074\u0065\u0064\u0020\u0063\u006f\u006d\u006d\u0061\u006e\u0064\u0020\u0074\u0079\u0070\u0065\u0020\u0022` + i2.type + `\u0022\u0020\u0061\u0074\u0020\u0069\u006e\u0064\u0065\u0078\u0020` + e2 + `\u002e`);
      r2 += (i2.relative ? `\u0061` : `\u0041`) + i2.rX + `\u0020` + i2.rY + `\u0020` + i2.xRot + `\u0020` + +i2.lArcFlag + `\u0020` + +i2.sweepFlag + `\u0020` + i2.x + `\u0020` + i2.y;
    }
  }
  return r2;
}
function i(t2, r2) {
  var e2 = t2[0],
    i2 = t2[1];
  return [e2 * Math.cos(r2) - i2 * Math.sin(r2), e2 * Math.sin(r2) + i2 * Math.cos(r2)];
}
function a() {
  for (var t2 = [], r2 = 0; r2 < arguments.length; r2++) t2[r2] = arguments[r2];
  for (var e2 = 0; e2 < t2.length; e2++) if (`\u006e\u0075\u006d\u0062\u0065\u0072` != typeof t2[e2]) throw new Error(`\u0061\u0073\u0073\u0065\u0072\u0074\u004e\u0075\u006d\u0062\u0065\u0072\u0073\u0020\u0061\u0072\u0067\u0075\u006d\u0065\u006e\u0074\u0073\u005b` + e2 + `\u005d\u0020\u0069\u0073\u0020\u006e\u006f\u0074\u0020\u0061\u0020\u006e\u0075\u006d\u0062\u0065\u0072\u002e\u0020` + typeof t2[e2] + `\u0020\u003d\u003d\u0020\u0074\u0079\u0070\u0065\u006f\u0066\u0020` + t2[e2]);
  return true;
}
var n = Math.PI;
function o(t2, r2, e2) {
  t2.lArcFlag = 0 === t2.lArcFlag ? 0 : 1, t2.sweepFlag = 0 === t2.sweepFlag ? 0 : 1;
  var a2 = t2.rX,
    o2 = t2.rY,
    s2 = t2.x,
    u2 = t2.y;
  a2 = Math.abs(t2.rX), o2 = Math.abs(t2.rY);
  var h2 = i([(r2 - s2) / 2, (e2 - u2) / 2], -t2.xRot / 180 * n),
    c2 = h2[0],
    y2 = h2[1],
    p2 = Math.pow(c2, 2) / Math.pow(a2, 2) + Math.pow(y2, 2) / Math.pow(o2, 2);
  1 < p2 && (a2 *= Math.sqrt(p2), o2 *= Math.sqrt(p2)), t2.rX = a2, t2.rY = o2;
  var m2 = Math.pow(a2, 2) * Math.pow(y2, 2) + Math.pow(o2, 2) * Math.pow(c2, 2),
    O2 = (t2.lArcFlag !== t2.sweepFlag ? 1 : -1) * Math.sqrt(Math.max(0, (Math.pow(a2, 2) * Math.pow(o2, 2) - m2) / m2)),
    l2 = a2 * y2 / o2 * O2,
    T2 = -o2 * c2 / a2 * O2,
    v2 = i([l2, T2], t2.xRot / 180 * n);
  t2.cX = v2[0] + (r2 + s2) / 2, t2.cY = v2[1] + (e2 + u2) / 2, t2.phi1 = Math.atan2((y2 - T2) / o2, (c2 - l2) / a2), t2.phi2 = Math.atan2((-y2 - T2) / o2, (-c2 - l2) / a2), 0 === t2.sweepFlag && t2.phi2 > t2.phi1 && (t2.phi2 -= 2 * n), 1 === t2.sweepFlag && t2.phi2 < t2.phi1 && (t2.phi2 += 2 * n), t2.phi1 *= 180 / n, t2.phi2 *= 180 / n;
}
function s(t2, r2, e2) {
  a(t2, r2, e2);
  var i2 = t2 * t2 + r2 * r2 - e2 * e2;
  if (0 > i2) return [];
  if (0 === i2) return [[t2 * e2 / (t2 * t2 + r2 * r2), r2 * e2 / (t2 * t2 + r2 * r2)]];
  var n2 = Math.sqrt(i2);
  return [[(t2 * e2 + r2 * n2) / (t2 * t2 + r2 * r2), (r2 * e2 - t2 * n2) / (t2 * t2 + r2 * r2)], [(t2 * e2 - r2 * n2) / (t2 * t2 + r2 * r2), (r2 * e2 + t2 * n2) / (t2 * t2 + r2 * r2)]];
}
var u,
  h = Math.PI / 180;
function c(t2, r2, e2) {
  return (1 - e2) * t2 + e2 * r2;
}
function y(t2, r2, e2, i2) {
  return t2 + Math.cos(i2 / 180 * n) * r2 + Math.sin(i2 / 180 * n) * e2;
}
function p(t2, r2, e2, i2) {
  var a2 = 1e-6,
    n2 = r2 - t2,
    o2 = e2 - r2,
    s2 = 3 * n2 + 3 * (i2 - e2) - 6 * o2,
    u2 = 6 * (o2 - n2),
    h2 = 3 * n2;
  return Math.abs(s2) < a2 ? [-h2 / u2] : function (t3, r3, e3) {
    var i3 = t3 * t3 / 4 - r3;
    if (i3 < -1e-6) return [];
    if (i3 <= e3) return [-t3 / 2];
    var a3 = Math.sqrt(i3);
    return [-t3 / 2 - a3, -t3 / 2 + a3];
  }(u2 / s2, h2 / s2, a2);
}
function m(t2, r2, e2, i2, a2) {
  var n2 = 1 - a2;
  return t2 * (n2 * n2 * n2) + r2 * (3 * n2 * n2 * a2) + e2 * (3 * n2 * a2 * a2) + i2 * (a2 * a2 * a2);
}
!function (t2) {
  function r2() {
    return u2(function (t3, r3, e3) {
      return t3.relative && (void 0 !== t3.x1 && (t3.x1 += r3), void 0 !== t3.y1 && (t3.y1 += e3), void 0 !== t3.x2 && (t3.x2 += r3), void 0 !== t3.y2 && (t3.y2 += e3), void 0 !== t3.x && (t3.x += r3), void 0 !== t3.y && (t3.y += e3), t3.relative = false), t3;
    });
  }
  function e2() {
    var t3 = NaN,
      r3 = NaN,
      e3 = NaN,
      i2 = NaN;
    return u2(function (a2, n3, o2) {
      return a2.type & _.SMOOTH_CURVE_TO && (a2.type = _.CURVE_TO, t3 = isNaN(t3) ? n3 : t3, r3 = isNaN(r3) ? o2 : r3, a2.x1 = a2.relative ? n3 - t3 : 2 * n3 - t3, a2.y1 = a2.relative ? o2 - r3 : 2 * o2 - r3), a2.type & _.CURVE_TO ? (t3 = a2.relative ? n3 + a2.x2 : a2.x2, r3 = a2.relative ? o2 + a2.y2 : a2.y2) : (t3 = NaN, r3 = NaN), a2.type & _.SMOOTH_QUAD_TO && (a2.type = _.QUAD_TO, e3 = isNaN(e3) ? n3 : e3, i2 = isNaN(i2) ? o2 : i2, a2.x1 = a2.relative ? n3 - e3 : 2 * n3 - e3, a2.y1 = a2.relative ? o2 - i2 : 2 * o2 - i2), a2.type & _.QUAD_TO ? (e3 = a2.relative ? n3 + a2.x1 : a2.x1, i2 = a2.relative ? o2 + a2.y1 : a2.y1) : (e3 = NaN, i2 = NaN), a2;
    });
  }
  function n2() {
    var t3 = NaN,
      r3 = NaN;
    return u2(function (e3, i2, a2) {
      if (e3.type & _.SMOOTH_QUAD_TO && (e3.type = _.QUAD_TO, t3 = isNaN(t3) ? i2 : t3, r3 = isNaN(r3) ? a2 : r3, e3.x1 = e3.relative ? i2 - t3 : 2 * i2 - t3, e3.y1 = e3.relative ? a2 - r3 : 2 * a2 - r3), e3.type & _.QUAD_TO) {
        t3 = e3.relative ? i2 + e3.x1 : e3.x1, r3 = e3.relative ? a2 + e3.y1 : e3.y1;
        var n3 = e3.x1,
          o2 = e3.y1;
        e3.type = _.CURVE_TO, e3.x1 = ((e3.relative ? 0 : i2) + 2 * n3) / 3, e3.y1 = ((e3.relative ? 0 : a2) + 2 * o2) / 3, e3.x2 = (e3.x + 2 * n3) / 3, e3.y2 = (e3.y + 2 * o2) / 3;
      } else t3 = NaN, r3 = NaN;
      return e3;
    });
  }
  function u2(t3) {
    var r3 = 0,
      e3 = 0,
      i2 = NaN,
      a2 = NaN;
    return function (n3) {
      if (isNaN(i2) && !(n3.type & _.MOVE_TO)) throw new Error(`\u0070\u0061\u0074\u0068\u0020\u006d\u0075\u0073\u0074\u0020\u0073\u0074\u0061\u0072\u0074\u0020\u0077\u0069\u0074\u0068\u0020\u006d\u006f\u0076\u0065\u0074\u006f`);
      var o2 = t3(n3, r3, e3, i2, a2);
      return n3.type & _.CLOSE_PATH && (r3 = i2, e3 = a2), void 0 !== n3.x && (r3 = n3.relative ? r3 + n3.x : n3.x), void 0 !== n3.y && (e3 = n3.relative ? e3 + n3.y : n3.y), n3.type & _.MOVE_TO && (i2 = r3, a2 = e3), o2;
    };
  }
  function O2(t3, r3, e3, i2, n3, o2) {
    return a(t3, r3, e3, i2, n3, o2), u2(function (a2, s2, u3, h2) {
      var c2 = a2.x1,
        y2 = a2.x2,
        p2 = a2.relative && !isNaN(h2),
        m2 = void 0 !== a2.x ? a2.x : p2 ? 0 : s2,
        O3 = void 0 !== a2.y ? a2.y : p2 ? 0 : u3;
      function l3(t4) {
        return t4 * t4;
      }
      a2.type & _.HORIZ_LINE_TO && 0 !== r3 && (a2.type = _.LINE_TO, a2.y = a2.relative ? 0 : u3), a2.type & _.VERT_LINE_TO && 0 !== e3 && (a2.type = _.LINE_TO, a2.x = a2.relative ? 0 : s2), void 0 !== a2.x && (a2.x = a2.x * t3 + O3 * e3 + (p2 ? 0 : n3)), void 0 !== a2.y && (a2.y = m2 * r3 + a2.y * i2 + (p2 ? 0 : o2)), void 0 !== a2.x1 && (a2.x1 = a2.x1 * t3 + a2.y1 * e3 + (p2 ? 0 : n3)), void 0 !== a2.y1 && (a2.y1 = c2 * r3 + a2.y1 * i2 + (p2 ? 0 : o2)), void 0 !== a2.x2 && (a2.x2 = a2.x2 * t3 + a2.y2 * e3 + (p2 ? 0 : n3)), void 0 !== a2.y2 && (a2.y2 = y2 * r3 + a2.y2 * i2 + (p2 ? 0 : o2));
      var T2 = t3 * i2 - r3 * e3;
      if (void 0 !== a2.xRot && (1 !== t3 || 0 !== r3 || 0 !== e3 || 1 !== i2)) if (0 === T2) delete a2.rX, delete a2.rY, delete a2.xRot, delete a2.lArcFlag, delete a2.sweepFlag, a2.type = _.LINE_TO;else {
        var v2 = a2.xRot * Math.PI / 180,
          f2 = Math.sin(v2),
          N2 = Math.cos(v2),
          x = 1 / l3(a2.rX),
          d = 1 / l3(a2.rY),
          E = l3(N2) * x + l3(f2) * d,
          A = 2 * f2 * N2 * (x - d),
          C = l3(f2) * x + l3(N2) * d,
          M = E * i2 * i2 - A * r3 * i2 + C * r3 * r3,
          R = A * (t3 * i2 + r3 * e3) - 2 * (E * e3 * i2 + C * t3 * r3),
          g = E * e3 * e3 - A * t3 * e3 + C * t3 * t3,
          I = (Math.atan2(R, M - g) + Math.PI) % Math.PI / 2,
          S = Math.sin(I),
          L = Math.cos(I);
        a2.rX = Math.abs(T2) / Math.sqrt(M * l3(L) + R * S * L + g * l3(S)), a2.rY = Math.abs(T2) / Math.sqrt(M * l3(S) - R * S * L + g * l3(L)), a2.xRot = 180 * I / Math.PI;
      }
      return void 0 !== a2.sweepFlag && 0 > T2 && (a2.sweepFlag = +!a2.sweepFlag), a2;
    });
  }
  function l2() {
    return function (t3) {
      var r3 = {};
      for (var e3 in t3) r3[e3] = t3[e3];
      return r3;
    };
  }
  t2.ROUND = function (t3) {
    function r3(r4) {
      return Math.round(r4 * t3) / t3;
    }
    return void 0 === t3 && (t3 = 1e13), a(t3), function (t4) {
      return void 0 !== t4.x1 && (t4.x1 = r3(t4.x1)), void 0 !== t4.y1 && (t4.y1 = r3(t4.y1)), void 0 !== t4.x2 && (t4.x2 = r3(t4.x2)), void 0 !== t4.y2 && (t4.y2 = r3(t4.y2)), void 0 !== t4.x && (t4.x = r3(t4.x)), void 0 !== t4.y && (t4.y = r3(t4.y)), void 0 !== t4.rX && (t4.rX = r3(t4.rX)), void 0 !== t4.rY && (t4.rY = r3(t4.rY)), t4;
    };
  }, t2.TO_ABS = r2, t2.TO_REL = function () {
    return u2(function (t3, r3, e3) {
      return t3.relative || (void 0 !== t3.x1 && (t3.x1 -= r3), void 0 !== t3.y1 && (t3.y1 -= e3), void 0 !== t3.x2 && (t3.x2 -= r3), void 0 !== t3.y2 && (t3.y2 -= e3), void 0 !== t3.x && (t3.x -= r3), void 0 !== t3.y && (t3.y -= e3), t3.relative = true), t3;
    });
  }, t2.NORMALIZE_HVZ = function (t3, r3, e3) {
    return void 0 === t3 && (t3 = true), void 0 === r3 && (r3 = true), void 0 === e3 && (e3 = true), u2(function (i2, a2, n3, o2, s2) {
      if (isNaN(o2) && !(i2.type & _.MOVE_TO)) throw new Error(`\u0070\u0061\u0074\u0068\u0020\u006d\u0075\u0073\u0074\u0020\u0073\u0074\u0061\u0072\u0074\u0020\u0077\u0069\u0074\u0068\u0020\u006d\u006f\u0076\u0065\u0074\u006f`);
      return r3 && i2.type & _.HORIZ_LINE_TO && (i2.type = _.LINE_TO, i2.y = i2.relative ? 0 : n3), e3 && i2.type & _.VERT_LINE_TO && (i2.type = _.LINE_TO, i2.x = i2.relative ? 0 : a2), t3 && i2.type & _.CLOSE_PATH && (i2.type = _.LINE_TO, i2.x = i2.relative ? o2 - a2 : o2, i2.y = i2.relative ? s2 - n3 : s2), i2.type & _.ARC && (0 === i2.rX || 0 === i2.rY) && (i2.type = _.LINE_TO, delete i2.rX, delete i2.rY, delete i2.xRot, delete i2.lArcFlag, delete i2.sweepFlag), i2;
    });
  }, t2.NORMALIZE_ST = e2, t2.QT_TO_C = n2, t2.INFO = u2, t2.SANITIZE = function (t3) {
    void 0 === t3 && (t3 = 0), a(t3);
    var r3 = NaN,
      e3 = NaN,
      i2 = NaN,
      n3 = NaN;
    return u2(function (a2, o2, s2, u3, h2) {
      var c2 = Math.abs,
        y2 = false,
        p2 = 0,
        m2 = 0;
      if (a2.type & _.SMOOTH_CURVE_TO && (p2 = isNaN(r3) ? 0 : o2 - r3, m2 = isNaN(e3) ? 0 : s2 - e3), a2.type & (_.CURVE_TO | _.SMOOTH_CURVE_TO) ? (r3 = a2.relative ? o2 + a2.x2 : a2.x2, e3 = a2.relative ? s2 + a2.y2 : a2.y2) : (r3 = NaN, e3 = NaN), a2.type & _.SMOOTH_QUAD_TO ? (i2 = isNaN(i2) ? o2 : 2 * o2 - i2, n3 = isNaN(n3) ? s2 : 2 * s2 - n3) : a2.type & _.QUAD_TO ? (i2 = a2.relative ? o2 + a2.x1 : a2.x1, n3 = a2.relative ? s2 + a2.y1 : a2.y2) : (i2 = NaN, n3 = NaN), a2.type & _.LINE_COMMANDS || a2.type & _.ARC && (0 === a2.rX || 0 === a2.rY || !a2.lArcFlag) || a2.type & _.CURVE_TO || a2.type & _.SMOOTH_CURVE_TO || a2.type & _.QUAD_TO || a2.type & _.SMOOTH_QUAD_TO) {
        var O3 = void 0 === a2.x ? 0 : a2.relative ? a2.x : a2.x - o2,
          l3 = void 0 === a2.y ? 0 : a2.relative ? a2.y : a2.y - s2;
        p2 = isNaN(i2) ? void 0 === a2.x1 ? p2 : a2.relative ? a2.x : a2.x1 - o2 : i2 - o2, m2 = isNaN(n3) ? void 0 === a2.y1 ? m2 : a2.relative ? a2.y : a2.y1 - s2 : n3 - s2;
        var T2 = void 0 === a2.x2 ? 0 : a2.relative ? a2.x : a2.x2 - o2,
          v2 = void 0 === a2.y2 ? 0 : a2.relative ? a2.y : a2.y2 - s2;
        c2(O3) <= t3 && c2(l3) <= t3 && c2(p2) <= t3 && c2(m2) <= t3 && c2(T2) <= t3 && c2(v2) <= t3 && (y2 = true);
      }
      return a2.type & _.CLOSE_PATH && c2(o2 - u3) <= t3 && c2(s2 - h2) <= t3 && (y2 = true), y2 ? [] : a2;
    });
  }, t2.MATRIX = O2, t2.ROTATE = function (t3, r3, e3) {
    void 0 === r3 && (r3 = 0), void 0 === e3 && (e3 = 0), a(t3, r3, e3);
    var i2 = Math.sin(t3),
      n3 = Math.cos(t3);
    return O2(n3, i2, -i2, n3, r3 - r3 * n3 + e3 * i2, e3 - r3 * i2 - e3 * n3);
  }, t2.TRANSLATE = function (t3, r3) {
    return void 0 === r3 && (r3 = 0), a(t3, r3), O2(1, 0, 0, 1, t3, r3);
  }, t2.SCALE = function (t3, r3) {
    return void 0 === r3 && (r3 = t3), a(t3, r3), O2(t3, 0, 0, r3, 0, 0);
  }, t2.SKEW_X = function (t3) {
    return a(t3), O2(1, 0, Math.atan(t3), 1, 0, 0);
  }, t2.SKEW_Y = function (t3) {
    return a(t3), O2(1, Math.atan(t3), 0, 1, 0, 0);
  }, t2.X_AXIS_SYMMETRY = function (t3) {
    return void 0 === t3 && (t3 = 0), a(t3), O2(-1, 0, 0, 1, t3, 0);
  }, t2.Y_AXIS_SYMMETRY = function (t3) {
    return void 0 === t3 && (t3 = 0), a(t3), O2(1, 0, 0, -1, 0, t3);
  }, t2.A_TO_C = function () {
    return u2(function (t3, r3, e3) {
      return _.ARC === t3.type ? function (t4, r4, e4) {
        var a2, n3, s2, u3;
        t4.cX || o(t4, r4, e4);
        for (var y2 = Math.min(t4.phi1, t4.phi2), p2 = Math.max(t4.phi1, t4.phi2) - y2, m2 = Math.ceil(p2 / 90), O3 = new Array(m2), l3 = r4, T2 = e4, v2 = 0; v2 < m2; v2++) {
          var f2 = c(t4.phi1, t4.phi2, v2 / m2),
            N2 = c(t4.phi1, t4.phi2, (v2 + 1) / m2),
            x = N2 - f2,
            d = 4 / 3 * Math.tan(x * h / 4),
            E = [Math.cos(f2 * h) - d * Math.sin(f2 * h), Math.sin(f2 * h) + d * Math.cos(f2 * h)],
            A = E[0],
            C = E[1],
            M = [Math.cos(N2 * h), Math.sin(N2 * h)],
            R = M[0],
            g = M[1],
            I = [R + d * Math.sin(N2 * h), g - d * Math.cos(N2 * h)],
            S = I[0],
            L = I[1];
          O3[v2] = {
            relative: t4.relative,
            type: _.CURVE_TO
          };
          var H = function (r5, e5) {
            var a3 = i([r5 * t4.rX, e5 * t4.rY], t4.xRot),
              n4 = a3[0],
              o2 = a3[1];
            return [t4.cX + n4, t4.cY + o2];
          };
          a2 = H(A, C), O3[v2].x1 = a2[0], O3[v2].y1 = a2[1], n3 = H(S, L), O3[v2].x2 = n3[0], O3[v2].y2 = n3[1], s2 = H(R, g), O3[v2].x = s2[0], O3[v2].y = s2[1], t4.relative && (O3[v2].x1 -= l3, O3[v2].y1 -= T2, O3[v2].x2 -= l3, O3[v2].y2 -= T2, O3[v2].x -= l3, O3[v2].y -= T2), l3 = (u3 = [O3[v2].x, O3[v2].y])[0], T2 = u3[1];
        }
        return O3;
      }(t3, t3.relative ? 0 : r3, t3.relative ? 0 : e3) : t3;
    });
  }, t2.ANNOTATE_ARCS = function () {
    return u2(function (t3, r3, e3) {
      return t3.relative && (r3 = 0, e3 = 0), _.ARC === t3.type && o(t3, r3, e3), t3;
    });
  }, t2.CLONE = l2, t2.CALCULATE_BOUNDS = function () {
    var t3 = function (t4) {
        var r3 = {};
        for (var e3 in t4) r3[e3] = t4[e3];
        return r3;
      },
      i2 = r2(),
      a2 = n2(),
      h2 = e2(),
      c2 = u2(function (r3, e3, n3) {
        var u3 = h2(a2(i2(t3(r3))));
        function O3(t4) {
          t4 > c2.maxX && (c2.maxX = t4), t4 < c2.minX && (c2.minX = t4);
        }
        function l3(t4) {
          t4 > c2.maxY && (c2.maxY = t4), t4 < c2.minY && (c2.minY = t4);
        }
        if (u3.type & _.DRAWING_COMMANDS && (O3(e3), l3(n3)), u3.type & _.HORIZ_LINE_TO && O3(u3.x), u3.type & _.VERT_LINE_TO && l3(u3.y), u3.type & _.LINE_TO && (O3(u3.x), l3(u3.y)), u3.type & _.CURVE_TO) {
          O3(u3.x), l3(u3.y);
          for (var T2 = 0, v2 = p(e3, u3.x1, u3.x2, u3.x); T2 < v2.length; T2++) {
            0 < (w = v2[T2]) && 1 > w && O3(m(e3, u3.x1, u3.x2, u3.x, w));
          }
          for (var f2 = 0, N2 = p(n3, u3.y1, u3.y2, u3.y); f2 < N2.length; f2++) {
            0 < (w = N2[f2]) && 1 > w && l3(m(n3, u3.y1, u3.y2, u3.y, w));
          }
        }
        if (u3.type & _.ARC) {
          O3(u3.x), l3(u3.y), o(u3, e3, n3);
          for (var x = u3.xRot / 180 * Math.PI, d = Math.cos(x) * u3.rX, E = Math.sin(x) * u3.rX, A = -Math.sin(x) * u3.rY, C = Math.cos(x) * u3.rY, M = u3.phi1 < u3.phi2 ? [u3.phi1, u3.phi2] : -180 > u3.phi2 ? [u3.phi2 + 360, u3.phi1 + 360] : [u3.phi2, u3.phi1], R = M[0], g = M[1], I = function (t4) {
              var r4 = t4[0],
                e4 = t4[1],
                i3 = 180 * Math.atan2(e4, r4) / Math.PI;
              return i3 < R ? i3 + 360 : i3;
            }, S = 0, L = s(A, -d, 0).map(I); S < L.length; S++) {
            (w = L[S]) > R && w < g && O3(y(u3.cX, d, A, w));
          }
          for (var H = 0, U = s(C, -E, 0).map(I); H < U.length; H++) {
            var w;
            (w = U[H]) > R && w < g && l3(y(u3.cY, E, C, w));
          }
        }
        return r3;
      });
    return c2.minX = 1 / 0, c2.maxX = -1 / 0, c2.minY = 1 / 0, c2.maxY = -1 / 0, c2;
  };
}(u || (u = {}));
var O,
  l = function () {
    function t2() {}
    return t2.prototype.round = function (t3) {
      return this.transform(u.ROUND(t3));
    }, t2.prototype.toAbs = function () {
      return this.transform(u.TO_ABS());
    }, t2.prototype.toRel = function () {
      return this.transform(u.TO_REL());
    }, t2.prototype.normalizeHVZ = function (t3, r2, e2) {
      return this.transform(u.NORMALIZE_HVZ(t3, r2, e2));
    }, t2.prototype.normalizeST = function () {
      return this.transform(u.NORMALIZE_ST());
    }, t2.prototype.qtToC = function () {
      return this.transform(u.QT_TO_C());
    }, t2.prototype.aToC = function () {
      return this.transform(u.A_TO_C());
    }, t2.prototype.sanitize = function (t3) {
      return this.transform(u.SANITIZE(t3));
    }, t2.prototype.translate = function (t3, r2) {
      return this.transform(u.TRANSLATE(t3, r2));
    }, t2.prototype.scale = function (t3, r2) {
      return this.transform(u.SCALE(t3, r2));
    }, t2.prototype.rotate = function (t3, r2, e2) {
      return this.transform(u.ROTATE(t3, r2, e2));
    }, t2.prototype.matrix = function (t3, r2, e2, i2, a2, n2) {
      return this.transform(u.MATRIX(t3, r2, e2, i2, a2, n2));
    }, t2.prototype.skewX = function (t3) {
      return this.transform(u.SKEW_X(t3));
    }, t2.prototype.skewY = function (t3) {
      return this.transform(u.SKEW_Y(t3));
    }, t2.prototype.xSymmetry = function (t3) {
      return this.transform(u.X_AXIS_SYMMETRY(t3));
    }, t2.prototype.ySymmetry = function (t3) {
      return this.transform(u.Y_AXIS_SYMMETRY(t3));
    }, t2.prototype.annotateArcs = function () {
      return this.transform(u.ANNOTATE_ARCS());
    }, t2;
  }(),
  T = function (t2) {
    return `\u0020` === t2 || `\u0009` === t2 || `\u000d` === t2 || `\u000a` === t2;
  },
  v = function (t2) {
    return `\u0030`.charCodeAt(0) <= t2.charCodeAt(0) && t2.charCodeAt(0) <= `\u0039`.charCodeAt(0);
  },
  f = function (t2) {
    function e2() {
      var r2 = t2.call(this) || this;
      return r2.curNumber = ``, r2.curCommandType = -1, r2.curCommandRelative = false, r2.canParseCommandOrComma = true, r2.curNumberHasExp = false, r2.curNumberHasExpDigits = false, r2.curNumberHasDecimal = false, r2.curArgs = [], r2;
    }
    return r(e2, t2), e2.prototype.finish = function (t3) {
      if (void 0 === t3 && (t3 = []), this.parse(`\u0020`, t3), 0 !== this.curArgs.length || !this.canParseCommandOrComma) throw new SyntaxError(`\u0055\u006e\u0074\u0065\u0072\u006d\u0069\u006e\u0061\u0074\u0065\u0064\u0020\u0063\u006f\u006d\u006d\u0061\u006e\u0064\u0020\u0061\u0074\u0020\u0074\u0068\u0065\u0020\u0070\u0061\u0074\u0068\u0020\u0065\u006e\u0064\u002e`);
      return t3;
    }, e2.prototype.parse = function (t3, r2) {
      var e3 = this;
      void 0 === r2 && (r2 = []);
      for (var i2 = function (t4) {
          r2.push(t4), e3.curArgs.length = 0, e3.canParseCommandOrComma = true;
        }, a2 = 0; a2 < t3.length; a2++) {
        var n2 = t3[a2],
          o2 = !(this.curCommandType !== _.ARC || 3 !== this.curArgs.length && 4 !== this.curArgs.length || 1 !== this.curNumber.length || `\u0030` !== this.curNumber && `\u0031` !== this.curNumber),
          s2 = v(n2) && (`\u0030` === this.curNumber && `\u0030` === n2 || o2);
        if (!v(n2) || s2) {
          if (`\u0065` !== n2 && `\u0045` !== n2) {
            if (`\u002d` !== n2 && `\u002b` !== n2 || !this.curNumberHasExp || this.curNumberHasExpDigits) {
              if (`\u002e` !== n2 || this.curNumberHasExp || this.curNumberHasDecimal || o2) {
                if (this.curNumber && -1 !== this.curCommandType) {
                  var u2 = Number(this.curNumber);
                  if (isNaN(u2)) throw new SyntaxError(`\u0049\u006e\u0076\u0061\u006c\u0069\u0064\u0020\u006e\u0075\u006d\u0062\u0065\u0072\u0020\u0065\u006e\u0064\u0069\u006e\u0067\u0020\u0061\u0074\u0020` + a2);
                  if (this.curCommandType === _.ARC) {
                    if (0 === this.curArgs.length || 1 === this.curArgs.length) {
                      if (0 > u2) throw new SyntaxError(`\u0045\u0078\u0070\u0065\u0063\u0074\u0065\u0064\u0020\u0070\u006f\u0073\u0069\u0074\u0069\u0076\u0065\u0020\u006e\u0075\u006d\u0062\u0065\u0072\u002c\u0020\u0067\u006f\u0074\u0020\u0022` + u2 + `\u0022\u0020\u0061\u0074\u0020\u0069\u006e\u0064\u0065\u0078\u0020\u0022` + a2 + `\u0022`);
                    } else if ((3 === this.curArgs.length || 4 === this.curArgs.length) && `\u0030` !== this.curNumber && `\u0031` !== this.curNumber) throw new SyntaxError(`\u0045\u0078\u0070\u0065\u0063\u0074\u0065\u0064\u0020\u0061\u0020\u0066\u006c\u0061\u0067\u002c\u0020\u0067\u006f\u0074\u0020\u0022` + this.curNumber + `\u0022\u0020\u0061\u0074\u0020\u0069\u006e\u0064\u0065\u0078\u0020\u0022` + a2 + `\u0022`);
                  }
                  this.curArgs.push(u2), this.curArgs.length === N[this.curCommandType] && (_.HORIZ_LINE_TO === this.curCommandType ? i2({
                    type: _.HORIZ_LINE_TO,
                    relative: this.curCommandRelative,
                    x: u2
                  }) : _.VERT_LINE_TO === this.curCommandType ? i2({
                    type: _.VERT_LINE_TO,
                    relative: this.curCommandRelative,
                    y: u2
                  }) : this.curCommandType === _.MOVE_TO || this.curCommandType === _.LINE_TO || this.curCommandType === _.SMOOTH_QUAD_TO ? (i2({
                    type: this.curCommandType,
                    relative: this.curCommandRelative,
                    x: this.curArgs[0],
                    y: this.curArgs[1]
                  }), _.MOVE_TO === this.curCommandType && (this.curCommandType = _.LINE_TO)) : this.curCommandType === _.CURVE_TO ? i2({
                    type: _.CURVE_TO,
                    relative: this.curCommandRelative,
                    x1: this.curArgs[0],
                    y1: this.curArgs[1],
                    x2: this.curArgs[2],
                    y2: this.curArgs[3],
                    x: this.curArgs[4],
                    y: this.curArgs[5]
                  }) : this.curCommandType === _.SMOOTH_CURVE_TO ? i2({
                    type: _.SMOOTH_CURVE_TO,
                    relative: this.curCommandRelative,
                    x2: this.curArgs[0],
                    y2: this.curArgs[1],
                    x: this.curArgs[2],
                    y: this.curArgs[3]
                  }) : this.curCommandType === _.QUAD_TO ? i2({
                    type: _.QUAD_TO,
                    relative: this.curCommandRelative,
                    x1: this.curArgs[0],
                    y1: this.curArgs[1],
                    x: this.curArgs[2],
                    y: this.curArgs[3]
                  }) : this.curCommandType === _.ARC && i2({
                    type: _.ARC,
                    relative: this.curCommandRelative,
                    rX: this.curArgs[0],
                    rY: this.curArgs[1],
                    xRot: this.curArgs[2],
                    lArcFlag: this.curArgs[3],
                    sweepFlag: this.curArgs[4],
                    x: this.curArgs[5],
                    y: this.curArgs[6]
                  })), this.curNumber = ``, this.curNumberHasExpDigits = false, this.curNumberHasExp = false, this.curNumberHasDecimal = false, this.canParseCommandOrComma = true;
                }
                if (!T(n2)) if (`\u002c` === n2 && this.canParseCommandOrComma) this.canParseCommandOrComma = false;else if (`\u002b` !== n2 && `\u002d` !== n2 && `\u002e` !== n2) {
                  if (s2) this.curNumber = n2, this.curNumberHasDecimal = false;else {
                    if (0 !== this.curArgs.length) throw new SyntaxError(`\u0055\u006e\u0074\u0065\u0072\u006d\u0069\u006e\u0061\u0074\u0065\u0064\u0020\u0063\u006f\u006d\u006d\u0061\u006e\u0064\u0020\u0061\u0074\u0020\u0069\u006e\u0064\u0065\u0078\u0020` + a2 + `\u002e`);
                    if (!this.canParseCommandOrComma) throw new SyntaxError(`\u0055\u006e\u0065\u0078\u0070\u0065\u0063\u0074\u0065\u0064\u0020\u0063\u0068\u0061\u0072\u0061\u0063\u0074\u0065\u0072\u0020\u0022` + n2 + `\u0022\u0020\u0061\u0074\u0020\u0069\u006e\u0064\u0065\u0078\u0020` + a2 + `\u002e\u0020\u0043\u006f\u006d\u006d\u0061\u006e\u0064\u0020\u0063\u0061\u006e\u006e\u006f\u0074\u0020\u0066\u006f\u006c\u006c\u006f\u0077\u0020\u0063\u006f\u006d\u006d\u0061`);
                    if (this.canParseCommandOrComma = false, `\u007a` !== n2 && `\u005a` !== n2) {
                      if (`\u0068` === n2 || `\u0048` === n2) this.curCommandType = _.HORIZ_LINE_TO, this.curCommandRelative = `\u0068` === n2;else if (`\u0076` === n2 || `\u0056` === n2) this.curCommandType = _.VERT_LINE_TO, this.curCommandRelative = `\u0076` === n2;else if (`\u006d` === n2 || `\u004d` === n2) this.curCommandType = _.MOVE_TO, this.curCommandRelative = `\u006d` === n2;else if (`\u006c` === n2 || `\u004c` === n2) this.curCommandType = _.LINE_TO, this.curCommandRelative = `\u006c` === n2;else if (`\u0063` === n2 || `\u0043` === n2) this.curCommandType = _.CURVE_TO, this.curCommandRelative = `\u0063` === n2;else if (`\u0073` === n2 || `\u0053` === n2) this.curCommandType = _.SMOOTH_CURVE_TO, this.curCommandRelative = `\u0073` === n2;else if (`\u0071` === n2 || `\u0051` === n2) this.curCommandType = _.QUAD_TO, this.curCommandRelative = `\u0071` === n2;else if (`\u0074` === n2 || `\u0054` === n2) this.curCommandType = _.SMOOTH_QUAD_TO, this.curCommandRelative = `\u0074` === n2;else {
                        if (`\u0061` !== n2 && `\u0041` !== n2) throw new SyntaxError(`\u0055\u006e\u0065\u0078\u0070\u0065\u0063\u0074\u0065\u0064\u0020\u0063\u0068\u0061\u0072\u0061\u0063\u0074\u0065\u0072\u0020\u0022` + n2 + `\u0022\u0020\u0061\u0074\u0020\u0069\u006e\u0064\u0065\u0078\u0020` + a2 + `\u002e`);
                        this.curCommandType = _.ARC, this.curCommandRelative = `\u0061` === n2;
                      }
                    } else r2.push({
                      type: _.CLOSE_PATH
                    }), this.canParseCommandOrComma = true, this.curCommandType = -1;
                  }
                } else this.curNumber = n2, this.curNumberHasDecimal = `\u002e` === n2;
              } else this.curNumber += n2, this.curNumberHasDecimal = true;
            } else this.curNumber += n2;
          } else this.curNumber += n2, this.curNumberHasExp = true;
        } else this.curNumber += n2, this.curNumberHasExpDigits = this.curNumberHasExp;
      }
      return r2;
    }, e2.prototype.transform = function (t3) {
      return Object.create(this, {
        parse: {
          value: function (r2, e3) {
            void 0 === e3 && (e3 = []);
            for (var i2 = 0, a2 = Object.getPrototypeOf(this).parse.call(this, r2); i2 < a2.length; i2++) {
              var n2 = a2[i2],
                o2 = t3(n2);
              Array.isArray(o2) ? e3.push.apply(e3, o2) : e3.push(o2);
            }
            return e3;
          }
        }
      });
    }, e2;
  }(l),
  _ = function (t2) {
    function i2(r2) {
      var e2 = t2.call(this) || this;
      return e2.commands = `\u0073\u0074\u0072\u0069\u006e\u0067` == typeof r2 ? i2.parse(r2) : r2, e2;
    }
    return r(i2, t2), i2.prototype.encode = function () {
      return i2.encode(this.commands);
    }, i2.prototype.getBounds = function () {
      var t3 = u.CALCULATE_BOUNDS();
      return this.transform(t3), t3;
    }, i2.prototype.transform = function (t3) {
      for (var r2 = [], e2 = 0, i3 = this.commands; e2 < i3.length; e2++) {
        var a2 = t3(i3[e2]);
        Array.isArray(a2) ? r2.push.apply(r2, a2) : r2.push(a2);
      }
      return this.commands = r2, this;
    }, i2.encode = function (t3) {
      return e(t3);
    }, i2.parse = function (t3) {
      var r2 = new f(),
        e2 = [];
      return r2.parse(t3, e2), r2.finish(e2), e2;
    }, i2.CLOSE_PATH = 1, i2.MOVE_TO = 2, i2.HORIZ_LINE_TO = 4, i2.VERT_LINE_TO = 8, i2.LINE_TO = 16, i2.CURVE_TO = 32, i2.SMOOTH_CURVE_TO = 64, i2.QUAD_TO = 128, i2.SMOOTH_QUAD_TO = 256, i2.ARC = 512, i2.LINE_COMMANDS = i2.LINE_TO | i2.HORIZ_LINE_TO | i2.VERT_LINE_TO, i2.DRAWING_COMMANDS = i2.HORIZ_LINE_TO | i2.VERT_LINE_TO | i2.LINE_TO | i2.CURVE_TO | i2.SMOOTH_CURVE_TO | i2.QUAD_TO | i2.SMOOTH_QUAD_TO | i2.ARC, i2;
  }(l),
  N = ((O = {})[_.MOVE_TO] = 2, O[_.LINE_TO] = 2, O[_.HORIZ_LINE_TO] = 1, O[_.VERT_LINE_TO] = 1, O[_.CLOSE_PATH] = 0, O[_.QUAD_TO] = 4, O[_.SMOOTH_QUAD_TO] = 2, O[_.CURVE_TO] = 6, O[_.SMOOTH_CURVE_TO] = 4, O[_.ARC] = 7, O);
export { _ };